#ifndef _P32MX_2XX_REGS_H_
#define _P32MX_2XX_REGS_H_
#define  _WDTCON           0xBF800000
#define  _WDTCONCLR        0xBF800004
#define  _WDTCONSET        0xBF800008
#define  _WDTCONINV        0xBF80000C
#define  _RTCCON           0xBF800200
#define  _RTCCONCLR        0xBF800204
#define  _RTCCONSET        0xBF800208
#define  _RTCCONINV        0xBF80020C
#define  _RTCALRM          0xBF800210
#define  _RTCALRMCLR       0xBF800214
#define  _RTCALRMSET       0xBF800218
#define  _RTCALRMINV       0xBF80021C
#define  _RTCTIME          0xBF800220
#define  _RTCTIMECLR       0xBF800224
#define  _RTCTIMESET       0xBF800228
#define  _RTCTIMEINV       0xBF80022C
#define  _RTCDATE          0xBF800230
#define  _RTCDATECLR       0xBF800234
#define  _RTCDATESET       0xBF800238
#define  _RTCDATEINV       0xBF80023C
#define  _ALRMTIME         0xBF800240
#define  _ALRMTIMECLR      0xBF800244
#define  _ALRMTIMESET      0xBF800248
#define  _ALRMTIMEINV      0xBF80024C
#define  _ALRMDATE         0xBF800250
#define  _ALRMDATECLR      0xBF800254
#define  _ALRMDATESET      0xBF800258
#define  _ALRMDATEINV      0xBF80025C
#define  _T1CON            0xBF800600
#define  _T1CONCLR         0xBF800604
#define  _T1CONSET         0xBF800608
#define  _T1CONINV         0xBF80060C
#define  _TMR1             0xBF800610
#define  _TMR1CLR          0xBF800614
#define  _TMR1SET          0xBF800618
#define  _TMR1INV          0xBF80061C
#define  _PR1              0xBF800620
#define  _PR1CLR           0xBF800624
#define  _PR1SET           0xBF800628
#define  _PR1INV           0xBF80062C
#define  _T2CON            0xBF800800
#define  _T2CONCLR         0xBF800804
#define  _T2CONSET         0xBF800808
#define  _T2CONINV         0xBF80080C
#define  _TMR2             0xBF800810
#define  _TMR2CLR          0xBF800814
#define  _TMR2SET          0xBF800818
#define  _TMR2INV          0xBF80081C
#define  _PR2              0xBF800820
#define  _PR2CLR           0xBF800824
#define  _PR2SET           0xBF800828
#define  _PR2INV           0xBF80082C
#define  _T3CON            0xBF800A00
#define  _T3CONCLR         0xBF800A04
#define  _T3CONSET         0xBF800A08
#define  _T3CONINV         0xBF800A0C
#define  _TMR3             0xBF800A10
#define  _TMR3CLR          0xBF800A14
#define  _TMR3SET          0xBF800A18
#define  _TMR3INV          0xBF800A1C
#define  _PR3              0xBF800A20
#define  _PR3CLR           0xBF800A24
#define  _PR3SET           0xBF800A28
#define  _PR3INV           0xBF800A2C
#define  _T4CON            0xBF800C00
#define  _T4CONCLR         0xBF800C04
#define  _T4CONSET         0xBF800C08
#define  _T4CONINV         0xBF800C0C
#define  _TMR4             0xBF800C10
#define  _TMR4CLR          0xBF800C14
#define  _TMR4SET          0xBF800C18
#define  _TMR4INV          0xBF800C1C
#define  _PR4              0xBF800C20
#define  _PR4CLR           0xBF800C24
#define  _PR4SET           0xBF800C28
#define  _PR4INV           0xBF800C2C
#define  _T5CON            0xBF800E00
#define  _T5CONCLR         0xBF800E04
#define  _T5CONSET         0xBF800E08
#define  _T5CONINV         0xBF800E0C
#define  _TMR5             0xBF800E10
#define  _TMR5CLR          0xBF800E14
#define  _TMR5SET          0xBF800E18
#define  _TMR5INV          0xBF800E1C
#define  _PR5              0xBF800E20
#define  _PR5CLR           0xBF800E24
#define  _PR5SET           0xBF800E28
#define  _PR5INV           0xBF800E2C
#define  _IC1CON           0xBF802000
#define  _IC1CONCLR        0xBF802004
#define  _IC1CONSET        0xBF802008
#define  _IC1CONINV        0xBF80200C
#define  _IC1BUF           0xBF802010
#define  _IC2CON           0xBF802200
#define  _IC2CONCLR        0xBF802204
#define  _IC2CONSET        0xBF802208
#define  _IC2CONINV        0xBF80220C
#define  _IC2BUF           0xBF802210
#define  _IC3CON           0xBF802400
#define  _IC3CONCLR        0xBF802404
#define  _IC3CONSET        0xBF802408
#define  _IC3CONINV        0xBF80240C
#define  _IC3BUF           0xBF802410
#define  _IC4CON           0xBF802600
#define  _IC4CONCLR        0xBF802604
#define  _IC4CONSET        0xBF802608
#define  _IC4CONINV        0xBF80260C
#define  _IC4BUF           0xBF802610
#define  _IC5CON           0xBF802800
#define  _IC5CONCLR        0xBF802804
#define  _IC5CONSET        0xBF802808
#define  _IC5CONINV        0xBF80280C
#define  _IC5BUF           0xBF802810
#define  _OC1CON           0xBF803000
#define  _OC1CONCLR        0xBF803004
#define  _OC1CONSET        0xBF803008
#define  _OC1CONINV        0xBF80300C
#define  _OC1R             0xBF803010
#define  _OC1RCLR          0xBF803014
#define  _OC1RSET          0xBF803018
#define  _OC1RINV          0xBF80301C
#define  _OC1RS            0xBF803020
#define  _OC1RSCLR         0xBF803024
#define  _OC1RSSET         0xBF803028
#define  _OC1RSINV         0xBF80302C
#define  _OC2CON           0xBF803200
#define  _OC2CONCLR        0xBF803204
#define  _OC2CONSET        0xBF803208
#define  _OC2CONINV        0xBF80320C
#define  _OC2R             0xBF803210
#define  _OC2RCLR          0xBF803214
#define  _OC2RSET          0xBF803218
#define  _OC2RINV          0xBF80321C
#define  _OC2RS            0xBF803220
#define  _OC2RSCLR         0xBF803224
#define  _OC2RSSET         0xBF803228
#define  _OC2RSINV         0xBF80322C
#define  _OC3CON           0xBF803400
#define  _OC3CONCLR        0xBF803404
#define  _OC3CONSET        0xBF803408
#define  _OC3CONINV        0xBF80340C
#define  _OC3R             0xBF803410
#define  _OC3RCLR          0xBF803414
#define  _OC3RSET          0xBF803418
#define  _OC3RINV          0xBF80341C
#define  _OC3RS            0xBF803420
#define  _OC3RSCLR         0xBF803424
#define  _OC3RSSET         0xBF803428
#define  _OC3RSINV         0xBF80342C
#define  _OC4CON           0xBF803600
#define  _OC4CONCLR        0xBF803604
#define  _OC4CONSET        0xBF803608
#define  _OC4CONINV        0xBF80360C
#define  _OC4R             0xBF803610
#define  _OC4RCLR          0xBF803614
#define  _OC4RSET          0xBF803618
#define  _OC4RINV          0xBF80361C
#define  _OC4RS            0xBF803620
#define  _OC4RSCLR         0xBF803624
#define  _OC4RSSET         0xBF803628
#define  _OC4RSINV         0xBF80362C
#define  _OC5CON           0xBF803800
#define  _OC5CONCLR        0xBF803804
#define  _OC5CONSET        0xBF803808
#define  _OC5CONINV        0xBF80380C
#define  _OC5R             0xBF803810
#define  _OC5RCLR          0xBF803814
#define  _OC5RSET          0xBF803818
#define  _OC5RINV          0xBF80381C
#define  _OC5RS            0xBF803820
#define  _OC5RSCLR         0xBF803824
#define  _OC5RSSET         0xBF803828
#define  _OC5RSINV         0xBF80382C
#define  _I2C1ACON         0xBF805000
#define  _I2C1CON          0xBF805000
#define  _I2C1ACONCLR      0xBF805004
#define  _I2C1CONCLR       0xBF805004
#define  _I2C1ACONSET      0xBF805008
#define  _I2C1CONSET       0xBF805008
#define  _I2C1ACONINV      0xBF80500C
#define  _I2C1CONINV       0xBF80500C
#define  _I2C1ASTAT        0xBF805010
#define  _I2C1STAT         0xBF805010
#define  _I2C1ASTATCLR     0xBF805014
#define  _I2C1STATCLR      0xBF805014
#define  _I2C1ASTATSET     0xBF805018
#define  _I2C1STATSET      0xBF805018
#define  _I2C1ASTATINV     0xBF80501C
#define  _I2C1STATINV      0xBF80501C
#define  _I2C1AADD         0xBF805020
#define  _I2C1ADD          0xBF805020
#define  _I2C1AADDCLR      0xBF805024
#define  _I2C1ADDCLR       0xBF805024
#define  _I2C1AADDSET      0xBF805028
#define  _I2C1ADDSET       0xBF805028
#define  _I2C1AADDINV      0xBF80502C
#define  _I2C1ADDINV       0xBF80502C
#define  _I2C1AMSK         0xBF805030
#define  _I2C1MSK          0xBF805030
#define  _I2C1AMSKCLR      0xBF805034
#define  _I2C1MSKCLR       0xBF805034
#define  _I2C1AMSKSET      0xBF805038
#define  _I2C1MSKSET       0xBF805038
#define  _I2C1AMSKINV      0xBF80503C
#define  _I2C1MSKINV       0xBF80503C
#define  _I2C1ABRG         0xBF805040
#define  _I2C1BRG          0xBF805040
#define  _I2C1ABRGCLR      0xBF805044
#define  _I2C1BRGCLR       0xBF805044
#define  _I2C1ABRGSET      0xBF805048
#define  _I2C1BRGSET       0xBF805048
#define  _I2C1ABRGINV      0xBF80504C
#define  _I2C1BRGINV       0xBF80504C
#define  _I2C1ATRN         0xBF805050
#define  _I2C1TRN          0xBF805050
#define  _I2C1ATRNCLR      0xBF805054
#define  _I2C1TRNCLR       0xBF805054
#define  _I2C1ATRNSET      0xBF805058
#define  _I2C1TRNSET       0xBF805058
#define  _I2C1ATRNINV      0xBF80505C
#define  _I2C1TRNINV       0xBF80505C
#define  _I2C1ARCV         0xBF805060
#define  _I2C1RCV          0xBF805060
#define  _I2C2ACON         0xBF805100
#define  _I2C2CON          0xBF805100
#define  _I2C2ACONCLR      0xBF805104
#define  _I2C2CONCLR       0xBF805104
#define  _I2C2ACONSET      0xBF805108
#define  _I2C2CONSET       0xBF805108
#define  _I2C2ACONINV      0xBF80510C
#define  _I2C2CONINV       0xBF80510C
#define  _I2C2ASTAT        0xBF805110
#define  _I2C2STAT         0xBF805110
#define  _I2C2ASTATCLR     0xBF805114
#define  _I2C2STATCLR      0xBF805114
#define  _I2C2ASTATSET     0xBF805118
#define  _I2C2STATSET      0xBF805118
#define  _I2C2ASTATINV     0xBF80511C
#define  _I2C2STATINV      0xBF80511C
#define  _I2C2AADD         0xBF805120
#define  _I2C2ADD          0xBF805120
#define  _I2C2AADDCLR      0xBF805124
#define  _I2C2ADDCLR       0xBF805124
#define  _I2C2AADDSET      0xBF805128
#define  _I2C2ADDSET       0xBF805128
#define  _I2C2AADDINV      0xBF80512C
#define  _I2C2ADDINV       0xBF80512C
#define  _I2C2AMSK         0xBF805130
#define  _I2C2MSK          0xBF805130
#define  _I2C2AMSKCLR      0xBF805134
#define  _I2C2MSKCLR       0xBF805134
#define  _I2C2AMSKSET      0xBF805138
#define  _I2C2MSKSET       0xBF805138
#define  _I2C2AMSKINV      0xBF80513C
#define  _I2C2MSKINV       0xBF80513C
#define  _I2C2ABRG         0xBF805140
#define  _I2C2BRG          0xBF805140
#define  _I2C2ABRGCLR      0xBF805144
#define  _I2C2BRGCLR       0xBF805144
#define  _I2C2ABRGSET      0xBF805148
#define  _I2C2BRGSET       0xBF805148
#define  _I2C2ABRGINV      0xBF80514C
#define  _I2C2BRGINV       0xBF80514C
#define  _I2C2ATRN         0xBF805150
#define  _I2C2TRN          0xBF805150
#define  _I2C2ATRNCLR      0xBF805154
#define  _I2C2TRNCLR       0xBF805154
#define  _I2C2ATRNSET      0xBF805158
#define  _I2C2TRNSET       0xBF805158
#define  _I2C2ATRNINV      0xBF80515C
#define  _I2C2TRNINV       0xBF80515C
#define  _I2C2ARCV         0xBF805160
#define  _I2C2RCV          0xBF805160
#define  _SPI1CON          0xBF805800
#define  _SPI1CONCLR       0xBF805804
#define  _SPI1CONSET       0xBF805808
#define  _SPI1CONINV       0xBF80580C
#define  _SPI1STAT         0xBF805810
#define  _SPI1STATCLR      0xBF805814
#define  _SPI1STATSET      0xBF805818
#define  _SPI1STATINV      0xBF80581C
#define  _SPI1BUF          0xBF805820
#define  _SPI1BRG          0xBF805830
#define  _SPI1BRGCLR       0xBF805834
#define  _SPI1BRGSET       0xBF805838
#define  _SPI1BRGINV       0xBF80583C
#define  _SPI1CON2         0xBF805840
#define  _SPI1CON2CLR      0xBF805844
#define  _SPI1CON2SET      0xBF805848
#define  _SPI1CON2INV      0xBF80584C
#define  _SPI2CON          0xBF805A00
#define  _SPI2CONCLR       0xBF805A04
#define  _SPI2CONSET       0xBF805A08
#define  _SPI2CONINV       0xBF805A0C
#define  _SPI2STAT         0xBF805A10
#define  _SPI2STATCLR      0xBF805A14
#define  _SPI2STATSET      0xBF805A18
#define  _SPI2STATINV      0xBF805A1C
#define  _SPI2BUF          0xBF805A20
#define  _SPI2BRG          0xBF805A30
#define  _SPI2BRGCLR       0xBF805A34
#define  _SPI2BRGSET       0xBF805A38
#define  _SPI2BRGINV       0xBF805A3C
#define  _SPI2CON2         0xBF805A40
#define  _SPI2CON2CLR      0xBF805A44
#define  _SPI2CON2SET      0xBF805A48
#define  _SPI2CON2INV      0xBF805A4C
#define  _U1AMODE          0xBF806000
#define  _U1MODE           0xBF806000
#define  _U1AMODECLR       0xBF806004
#define  _U1MODECLR        0xBF806004
#define  _U1AMODESET       0xBF806008
#define  _U1MODESET        0xBF806008
#define  _U1AMODEINV       0xBF80600C
#define  _U1MODEINV        0xBF80600C
#define  _U1ASTA           0xBF806010
#define  _U1STA            0xBF806010
#define  _U1ASTACLR        0xBF806014
#define  _U1STACLR         0xBF806014
#define  _U1ASTASET        0xBF806018
#define  _U1STASET         0xBF806018
#define  _U1ASTAINV        0xBF80601C
#define  _U1STAINV         0xBF80601C
#define  _U1ATXREG         0xBF806020
#define  _U1TXREG          0xBF806020
#define  _U1ARXREG         0xBF806030
#define  _U1RXREG          0xBF806030
#define  _U1ABRG           0xBF806040
#define  _U1BRG            0xBF806040
#define  _U1ABRGCLR        0xBF806044
#define  _U1BRGCLR         0xBF806044
#define  _U1ABRGSET        0xBF806048
#define  _U1BRGSET         0xBF806048
#define  _U1ABRGINV        0xBF80604C
#define  _U1BRGINV         0xBF80604C
#define  _U2MODE           0xBF806200
#define  _U3AMODE          0xBF806200
#define  _U2MODECLR        0xBF806204
#define  _U3AMODECLR       0xBF806204
#define  _U2MODESET        0xBF806208
#define  _U3AMODESET       0xBF806208
#define  _U2MODEINV        0xBF80620C
#define  _U3AMODEINV       0xBF80620C
#define  _U2STA            0xBF806210
#define  _U3ASTA           0xBF806210
#define  _U2STACLR         0xBF806214
#define  _U3ASTACLR        0xBF806214
#define  _U2STASET         0xBF806218
#define  _U3ASTASET        0xBF806218
#define  _U2STAINV         0xBF80621C
#define  _U3ASTAINV        0xBF80621C
#define  _U2TXREG          0xBF806220
#define  _U3ATXREG         0xBF806220
#define  _U2RXREG          0xBF806230
#define  _U3ARXREG         0xBF806230
#define  _U2BRG            0xBF806240
#define  _U3ABRG           0xBF806240
#define  _U2BRGCLR         0xBF806244
#define  _U3ABRGCLR        0xBF806244
#define  _U2BRGSET         0xBF806248
#define  _U3ABRGSET        0xBF806248
#define  _U2BRGINV         0xBF80624C
#define  _U3ABRGINV        0xBF80624C
#define  _PMCON            0xBF807000
#define  _PMCONCLR         0xBF807004
#define  _PMCONSET         0xBF807008
#define  _PMCONINV         0xBF80700C
#define  _PMMODE           0xBF807010
#define  _PMMODECLR        0xBF807014
#define  _PMMODESET        0xBF807018
#define  _PMMODEINV        0xBF80701C
#define  _PMADDR           0xBF807020
#define  _PMADDRCLR        0xBF807024
#define  _PMADDRSET        0xBF807028
#define  _PMADDRINV        0xBF80702C
#define  _PMDOUT           0xBF807030
#define  _PMDOUTCLR        0xBF807034
#define  _PMDOUTSET        0xBF807038
#define  _PMDOUTINV        0xBF80703C
#define  _PMDIN            0xBF807040
#define  _PMDINCLR         0xBF807044
#define  _PMDINSET         0xBF807048
#define  _PMDININV         0xBF80704C
#define  _PMAEN            0xBF807050
#define  _PMAENCLR         0xBF807054
#define  _PMAENSET         0xBF807058
#define  _PMAENINV         0xBF80705C
#define  _PMSTAT           0xBF807060
#define  _PMSTATCLR        0xBF807064
#define  _PMSTATSET        0xBF807068
#define  _PMSTATINV        0xBF80706C
#define  _AD1CON1          0xBF809000
#define  _AD1CON1CLR       0xBF809004
#define  _AD1CON1SET       0xBF809008
#define  _AD1CON1INV       0xBF80900C
#define  _AD1CON2          0xBF809010
#define  _AD1CON2CLR       0xBF809014
#define  _AD1CON2SET       0xBF809018
#define  _AD1CON2INV       0xBF80901C
#define  _AD1CON3          0xBF809020
#define  _AD1CON3CLR       0xBF809024
#define  _AD1CON3SET       0xBF809028
#define  _AD1CON3INV       0xBF80902C
#define  _AD1CHS           0xBF809040
#define  _AD1CHSCLR        0xBF809044
#define  _AD1CHSSET        0xBF809048
#define  _AD1CHSINV        0xBF80904C
#define  _AD1CSSL          0xBF809050
#define  _AD1CSSLCLR       0xBF809054
#define  _AD1CSSLSET       0xBF809058
#define  _AD1CSSLINV       0xBF80905C
#define  _ADC1BUF0         0xBF809070
#define  _ADC1BUF1         0xBF809080
#define  _ADC1BUF2         0xBF809090
#define  _ADC1BUF3         0xBF8090A0
#define  _ADC1BUF4         0xBF8090B0
#define  _ADC1BUF5         0xBF8090C0
#define  _ADC1BUF6         0xBF8090D0
#define  _ADC1BUF7         0xBF8090E0
#define  _ADC1BUF8         0xBF8090F0
#define  _ADC1BUF9         0xBF809100
#define  _ADC1BUFA         0xBF809110
#define  _ADC1BUFB         0xBF809120
#define  _ADC1BUFC         0xBF809130
#define  _ADC1BUFD         0xBF809140
#define  _ADC1BUFE         0xBF809150
#define  _ADC1BUFF         0xBF809160
#define  _CVRCON           0xBF809800
#define  _CVRCONCLR        0xBF809804
#define  _CVRCONSET        0xBF809808
#define  _CVRCONINV        0xBF80980C
#define  _CM1CON           0xBF80A000
#define  _CM1CONCLR        0xBF80A004
#define  _CM1CONSET        0xBF80A008
#define  _CM1CONINV        0xBF80A00C
#define  _CM2CON           0xBF80A010
#define  _CM2CONCLR        0xBF80A014
#define  _CM2CONSET        0xBF80A018
#define  _CM2CONINV        0xBF80A01C
#define  _CM3CON           0xBF80A020
#define  _CM3CONCLR        0xBF80A024
#define  _CM3CONSET        0xBF80A028
#define  _CM3CONINV        0xBF80A02C
#define  _CMSTAT           0xBF80A060
#define  _CMSTATCLR        0xBF80A064
#define  _CMSTATSET        0xBF80A068
#define  _CMSTATINV        0xBF80A06C
#define  _CTMUCON          0xBF80A200
#define  _CTMUCONCLR       0xBF80A204
#define  _CTMUCONSET       0xBF80A208
#define  _CTMUCONINV       0xBF80A20C
#define  _OSCCON           0xBF80F000
#define  _OSCCONCLR        0xBF80F004
#define  _OSCCONSET        0xBF80F008
#define  _OSCCONINV        0xBF80F00C
#define  _OSCTUN           0xBF80F010
#define  _OSCTUNCLR        0xBF80F014
#define  _OSCTUNSET        0xBF80F018
#define  _OSCTUNINV        0xBF80F01C
#define  _REFOCON          0xBF80F020
#define  _REFOCONCLR       0xBF80F024
#define  _REFOCONSET       0xBF80F028
#define  _REFOCONINV       0xBF80F02C
#define  _REFOTRIM         0xBF80F030
#define  _REFOTRIMCLR      0xBF80F034
#define  _REFOTRIMSET      0xBF80F038
#define  _REFOTRIMINV      0xBF80F03C
#define  _CFGCON           0xBF80F200
#define  _DDPCON           0xBF80F200
#define  _DEVID            0xBF80F220
#define  _SYSKEY           0xBF80F230
#define  _SYSKEYCLR        0xBF80F234
#define  _SYSKEYSET        0xBF80F238
#define  _SYSKEYINV        0xBF80F23C
#define  _PMD1             0xBF80F240
#define  _PMD1CLR          0xBF80F244
#define  _PMD1SET          0xBF80F248
#define  _PMD1INV          0xBF80F24C
#define  _PMD2             0xBF80F250
#define  _PMD2CLR          0xBF80F254
#define  _PMD2SET          0xBF80F258
#define  _PMD2INV          0xBF80F25C
#define  _PMD3             0xBF80F260
#define  _PMD3CLR          0xBF80F264
#define  _PMD3SET          0xBF80F268
#define  _PMD3INV          0xBF80F26C
#define  _PMD4             0xBF80F270
#define  _PMD4CLR          0xBF80F274
#define  _PMD4SET          0xBF80F278
#define  _PMD4INV          0xBF80F27C
#define  _PMD5             0xBF80F280
#define  _PMD5CLR          0xBF80F284
#define  _PMD5SET          0xBF80F288
#define  _PMD5INV          0xBF80F28C
#define  _PMD6             0xBF80F290
#define  _PMD6CLR          0xBF80F294
#define  _PMD6SET          0xBF80F298
#define  _PMD6INV          0xBF80F29C
#define  _NVMCON           0xBF80F400
#define  _NVMCONCLR        0xBF80F404
#define  _NVMCONSET        0xBF80F408
#define  _NVMCONINV        0xBF80F40C
#define  _NVMKEY           0xBF80F410
#define  _NVMADDR          0xBF80F420
#define  _NVMADDRCLR       0xBF80F424
#define  _NVMADDRSET       0xBF80F428
#define  _NVMADDRINV       0xBF80F42C
#define  _NVMDATA          0xBF80F430
#define  _NVMSRCADDR       0xBF80F440
#define  _RCON             0xBF80F600
#define  _RCONCLR          0xBF80F604
#define  _RCONSET          0xBF80F608
#define  _RCONINV          0xBF80F60C
#define  _RSWRST           0xBF80F610
#define  _RSWRSTCLR        0xBF80F614
#define  _RSWRSTSET        0xBF80F618
#define  _RSWRSTINV        0xBF80F61C
#define  _INT1R            0xBF80FA04
#define  _INT2R            0xBF80FA08
#define  _INT3R            0xBF80FA0C
#define  _INT4R            0xBF80FA10
#define  _T2CKR            0xBF80FA18
#define  _T3CKR            0xBF80FA1C
#define  _T4CKR            0xBF80FA20
#define  _T5CKR            0xBF80FA24
#define  _IC1R             0xBF80FA28
#define  _IC2R             0xBF80FA2C
#define  _IC3R             0xBF80FA30
#define  _IC4R             0xBF80FA34
#define  _IC5R             0xBF80FA38
#define  _OCFAR            0xBF80FA48
#define  _OCFBR            0xBF80FA4C
#define  _U1RXR            0xBF80FA50
#define  _U1CTSR           0xBF80FA54
#define  _U2RXR            0xBF80FA58
#define  _U2CTSR           0xBF80FA5C
#define  _SDI1R            0xBF80FA84
#define  _SS1R             0xBF80FA88
#define  _SDI2R            0xBF80FA90
#define  _SS2R             0xBF80FA94
#define  _REFCLKIR         0xBF80FAB8
#define  _RPA0R            0xBF80FB00
#define  _RPA1R            0xBF80FB04
#define  _RPA2R            0xBF80FB08
#define  _RPA3R            0xBF80FB0C
#define  _RPA4R            0xBF80FB10
#define  _RPA8R            0xBF80FB20
#define  _RPA9R            0xBF80FB24
#define  _RPB0R            0xBF80FB2C
#define  _RPB1R            0xBF80FB30
#define  _RPB2R            0xBF80FB34
#define  _RPB3R            0xBF80FB38
#define  _RPB4R            0xBF80FB3C
#define  _RPB5R            0xBF80FB40
#define  _RPB7R            0xBF80FB48
#define  _RPB8R            0xBF80FB4C
#define  _RPB9R            0xBF80FB50
#define  _RPB10R           0xBF80FB54
#define  _RPB11R           0xBF80FB58
#define  _RPB13R           0xBF80FB60
#define  _RPB14R           0xBF80FB64
#define  _RPB15R           0xBF80FB68
#define  _RPC0R            0xBF80FB6C
#define  _RPC1R            0xBF80FB70
#define  _RPC2R            0xBF80FB74
#define  _RPC3R            0xBF80FB78
#define  _RPC4R            0xBF80FB7C
#define  _RPC5R            0xBF80FB80
#define  _RPC6R            0xBF80FB84
#define  _RPC7R            0xBF80FB88
#define  _RPC8R            0xBF80FB8C
#define  _RPC9R            0xBF80FB90
#define  _INTCON           0xBF881000
#define  _INTCONCLR        0xBF881004
#define  _INTCONSET        0xBF881008
#define  _INTCONINV        0xBF88100C
#define  _INTSTAT          0xBF881010
#define  _IPTMR            0xBF881020
#define  _IPTMRCLR         0xBF881024
#define  _IPTMRSET         0xBF881028
#define  _IPTMRINV         0xBF88102C
#define  _IFS0             0xBF881030
#define  _IFS0CLR          0xBF881034
#define  _IFS0SET          0xBF881038
#define  _IFS0INV          0xBF88103C
#define  _IFS1             0xBF881040
#define  _IFS1CLR          0xBF881044
#define  _IFS1SET          0xBF881048
#define  _IFS1INV          0xBF88104C
#define  _IEC0             0xBF881060
#define  _IEC0CLR          0xBF881064
#define  _IEC0SET          0xBF881068
#define  _IEC0INV          0xBF88106C
#define  _IEC1             0xBF881070
#define  _IEC1CLR          0xBF881074
#define  _IEC1SET          0xBF881078
#define  _IEC1INV          0xBF88107C
#define  _IPC0             0xBF881090
#define  _IPC0CLR          0xBF881094
#define  _IPC0SET          0xBF881098
#define  _IPC0INV          0xBF88109C
#define  _IPC1             0xBF8810A0
#define  _IPC1CLR          0xBF8810A4
#define  _IPC1SET          0xBF8810A8
#define  _IPC1INV          0xBF8810AC
#define  _IPC2             0xBF8810B0
#define  _IPC2CLR          0xBF8810B4
#define  _IPC2SET          0xBF8810B8
#define  _IPC2INV          0xBF8810BC
#define  _IPC3             0xBF8810C0
#define  _IPC3CLR          0xBF8810C4
#define  _IPC3SET          0xBF8810C8
#define  _IPC3INV          0xBF8810CC
#define  _IPC4             0xBF8810D0
#define  _IPC4CLR          0xBF8810D4
#define  _IPC4SET          0xBF8810D8
#define  _IPC4INV          0xBF8810DC
#define  _IPC5             0xBF8810E0
#define  _IPC5CLR          0xBF8810E4
#define  _IPC5SET          0xBF8810E8
#define  _IPC5INV          0xBF8810EC
#define  _IPC6             0xBF8810F0
#define  _IPC6CLR          0xBF8810F4
#define  _IPC6SET          0xBF8810F8
#define  _IPC6INV          0xBF8810FC
#define  _IPC7             0xBF881100
#define  _IPC7CLR          0xBF881104
#define  _IPC7SET          0xBF881108
#define  _IPC7INV          0xBF88110C
#define  _IPC8             0xBF881110
#define  _IPC8CLR          0xBF881114
#define  _IPC8SET          0xBF881118
#define  _IPC8INV          0xBF88111C
#define  _IPC9             0xBF881120
#define  _IPC9CLR          0xBF881124
#define  _IPC9SET          0xBF881128
#define  _IPC9INV          0xBF88112C
#define  _IPC10            0xBF881130
#define  _IPC10CLR         0xBF881134
#define  _IPC10SET         0xBF881138
#define  _IPC10INV         0xBF88113C
#define  _BMXCON           0xBF882000
#define  _BMXCONCLR        0xBF882004
#define  _BMXCONSET        0xBF882008
#define  _BMXCONINV        0xBF88200C
#define  _BMXDKPBA         0xBF882010
#define  _BMXDKPBACLR      0xBF882014
#define  _BMXDKPBASET      0xBF882018
#define  _BMXDKPBAINV      0xBF88201C
#define  _BMXDUDBA         0xBF882020
#define  _BMXDUDBACLR      0xBF882024
#define  _BMXDUDBASET      0xBF882028
#define  _BMXDUDBAINV      0xBF88202C
#define  _BMXDUPBA         0xBF882030
#define  _BMXDUPBACLR      0xBF882034
#define  _BMXDUPBASET      0xBF882038
#define  _BMXDUPBAINV      0xBF88203C
#define  _BMXDRMSZ         0xBF882040
#define  _BMXPUPBA         0xBF882050
#define  _BMXPUPBACLR      0xBF882054
#define  _BMXPUPBASET      0xBF882058
#define  _BMXPUPBAINV      0xBF88205C
#define  _BMXPFMSZ         0xBF882060
#define  _BMXBOOTSZ        0xBF882070
#define  _DMACON           0xBF883000
#define  _DMACONCLR        0xBF883004
#define  _DMACONSET        0xBF883008
#define  _DMACONINV        0xBF88300C
#define  _DMASTAT          0xBF883010
#define  _DMASTATCLR       0xBF883014
#define  _DMASTATSET       0xBF883018
#define  _DMASTATINV       0xBF88301C
#define  _DMAADDR          0xBF883020
#define  _DMAADDRCLR       0xBF883024
#define  _DMAADDRSET       0xBF883028
#define  _DMAADDRINV       0xBF88302C
#define  _DCRCCON          0xBF883030
#define  _DCRCCONCLR       0xBF883034
#define  _DCRCCONSET       0xBF883038
#define  _DCRCCONINV       0xBF88303C
#define  _DCRCDATA         0xBF883040
#define  _DCRCDATACLR      0xBF883044
#define  _DCRCDATASET      0xBF883048
#define  _DCRCDATAINV      0xBF88304C
#define  _DCRCXOR          0xBF883050
#define  _DCRCXORCLR       0xBF883054
#define  _DCRCXORSET       0xBF883058
#define  _DCRCXORINV       0xBF88305C
#define  _DCH0CON          0xBF883060
#define  _DCH0CONCLR       0xBF883064
#define  _DCH0CONSET       0xBF883068
#define  _DCH0CONINV       0xBF88306C
#define  _DCH0ECON         0xBF883070
#define  _DCH0ECONCLR      0xBF883074
#define  _DCH0ECONSET      0xBF883078
#define  _DCH0ECONINV      0xBF88307C
#define  _DCH0INT          0xBF883080
#define  _DCH0INTCLR       0xBF883084
#define  _DCH0INTSET       0xBF883088
#define  _DCH0INTINV       0xBF88308C
#define  _DCH0SSA          0xBF883090
#define  _DCH0SSACLR       0xBF883094
#define  _DCH0SSASET       0xBF883098
#define  _DCH0SSAINV       0xBF88309C
#define  _DCH0DSA          0xBF8830A0
#define  _DCH0DSACLR       0xBF8830A4
#define  _DCH0DSASET       0xBF8830A8
#define  _DCH0DSAINV       0xBF8830AC
#define  _DCH0SSIZ         0xBF8830B0
#define  _DCH0SSIZCLR      0xBF8830B4
#define  _DCH0SSIZSET      0xBF8830B8
#define  _DCH0SSIZINV      0xBF8830BC
#define  _DCH0DSIZ         0xBF8830C0
#define  _DCH0DSIZCLR      0xBF8830C4
#define  _DCH0DSIZSET      0xBF8830C8
#define  _DCH0DSIZINV      0xBF8830CC
#define  _DCH0SPTR         0xBF8830D0
#define  _DCH0SPTRCLR      0xBF8830D4
#define  _DCH0SPTRSET      0xBF8830D8
#define  _DCH0SPTRINV      0xBF8830DC
#define  _DCH0DPTR         0xBF8830E0
#define  _DCH0DPTRCLR      0xBF8830E4
#define  _DCH0DPTRSET      0xBF8830E8
#define  _DCH0DPTRINV      0xBF8830EC
#define  _DCH0CSIZ         0xBF8830F0
#define  _DCH0CSIZCLR      0xBF8830F4
#define  _DCH0CSIZSET      0xBF8830F8
#define  _DCH0CSIZINV      0xBF8830FC
#define  _DCH0CPTR         0xBF883100
#define  _DCH0CPTRCLR      0xBF883104
#define  _DCH0CPTRSET      0xBF883108
#define  _DCH0CPTRINV      0xBF88310C
#define  _DCH0DAT          0xBF883110
#define  _DCH0DATCLR       0xBF883114
#define  _DCH0DATSET       0xBF883118
#define  _DCH0DATINV       0xBF88311C
#define  _DCH1CON          0xBF883120
#define  _DCH1CONCLR       0xBF883124
#define  _DCH1CONSET       0xBF883128
#define  _DCH1CONINV       0xBF88312C
#define  _DCH1ECON         0xBF883130
#define  _DCH1ECONCLR      0xBF883134
#define  _DCH1ECONSET      0xBF883138
#define  _DCH1ECONINV      0xBF88313C
#define  _DCH1INT          0xBF883140
#define  _DCH1INTCLR       0xBF883144
#define  _DCH1INTSET       0xBF883148
#define  _DCH1INTINV       0xBF88314C
#define  _DCH1SSA          0xBF883150
#define  _DCH1SSACLR       0xBF883154
#define  _DCH1SSASET       0xBF883158
#define  _DCH1SSAINV       0xBF88315C
#define  _DCH1DSA          0xBF883160
#define  _DCH1DSACLR       0xBF883164
#define  _DCH1DSASET       0xBF883168
#define  _DCH1DSAINV       0xBF88316C
#define  _DCH1SSIZ         0xBF883170
#define  _DCH1SSIZCLR      0xBF883174
#define  _DCH1SSIZSET      0xBF883178
#define  _DCH1SSIZINV      0xBF88317C
#define  _DCH1DSIZ         0xBF883180
#define  _DCH1DSIZCLR      0xBF883184
#define  _DCH1DSIZSET      0xBF883188
#define  _DCH1DSIZINV      0xBF88318C
#define  _DCH1SPTR         0xBF883190
#define  _DCH1SPTRCLR      0xBF883194
#define  _DCH1SPTRSET      0xBF883198
#define  _DCH1SPTRINV      0xBF88319C
#define  _DCH1DPTR         0xBF8831A0
#define  _DCH1DPTRCLR      0xBF8831A4
#define  _DCH1DPTRSET      0xBF8831A8
#define  _DCH1DPTRINV      0xBF8831AC
#define  _DCH1CSIZ         0xBF8831B0
#define  _DCH1CSIZCLR      0xBF8831B4
#define  _DCH1CSIZSET      0xBF8831B8
#define  _DCH1CSIZINV      0xBF8831BC
#define  _DCH1CPTR         0xBF8831C0
#define  _DCH1CPTRCLR      0xBF8831C4
#define  _DCH1CPTRSET      0xBF8831C8
#define  _DCH1CPTRINV      0xBF8831CC
#define  _DCH1DAT          0xBF8831D0
#define  _DCH1DATCLR       0xBF8831D4
#define  _DCH1DATSET       0xBF8831D8
#define  _DCH1DATINV       0xBF8831DC
#define  _DCH2CON          0xBF8831E0
#define  _DCH2CONCLR       0xBF8831E4
#define  _DCH2CONSET       0xBF8831E8
#define  _DCH2CONINV       0xBF8831EC
#define  _DCH2ECON         0xBF8831F0
#define  _DCH2ECONCLR      0xBF8831F4
#define  _DCH2ECONSET      0xBF8831F8
#define  _DCH2ECONINV      0xBF8831FC
#define  _DCH2INT          0xBF883200
#define  _DCH2INTCLR       0xBF883204
#define  _DCH2INTSET       0xBF883208
#define  _DCH2INTINV       0xBF88320C
#define  _DCH2SSA          0xBF883210
#define  _DCH2SSACLR       0xBF883214
#define  _DCH2SSASET       0xBF883218
#define  _DCH2SSAINV       0xBF88321C
#define  _DCH2DSA          0xBF883220
#define  _DCH2DSACLR       0xBF883224
#define  _DCH2DSASET       0xBF883228
#define  _DCH2DSAINV       0xBF88322C
#define  _DCH2SSIZ         0xBF883230
#define  _DCH2SSIZCLR      0xBF883234
#define  _DCH2SSIZSET      0xBF883238
#define  _DCH2SSIZINV      0xBF88323C
#define  _DCH2DSIZ         0xBF883240
#define  _DCH2DSIZCLR      0xBF883244
#define  _DCH2DSIZSET      0xBF883248
#define  _DCH2DSIZINV      0xBF88324C
#define  _DCH2SPTR         0xBF883250
#define  _DCH2SPTRCLR      0xBF883254
#define  _DCH2SPTRSET      0xBF883258
#define  _DCH2SPTRINV      0xBF88325C
#define  _DCH2DPTR         0xBF883260
#define  _DCH2DPTRCLR      0xBF883264
#define  _DCH2DPTRSET      0xBF883268
#define  _DCH2DPTRINV      0xBF88326C
#define  _DCH2CSIZ         0xBF883270
#define  _DCH2CSIZCLR      0xBF883274
#define  _DCH2CSIZSET      0xBF883278
#define  _DCH2CSIZINV      0xBF88327C
#define  _DCH2CPTR         0xBF883280
#define  _DCH2CPTRCLR      0xBF883284
#define  _DCH2CPTRSET      0xBF883288
#define  _DCH2CPTRINV      0xBF88328C
#define  _DCH2DAT          0xBF883290
#define  _DCH2DATCLR       0xBF883294
#define  _DCH2DATSET       0xBF883298
#define  _DCH2DATINV       0xBF88329C
#define  _DCH3CON          0xBF8832A0
#define  _DCH3CONCLR       0xBF8832A4
#define  _DCH3CONSET       0xBF8832A8
#define  _DCH3CONINV       0xBF8832AC
#define  _DCH3ECON         0xBF8832B0
#define  _DCH3ECONCLR      0xBF8832B4
#define  _DCH3ECONSET      0xBF8832B8
#define  _DCH3ECONINV      0xBF8832BC
#define  _DCH3INT          0xBF8832C0
#define  _DCH3INTCLR       0xBF8832C4
#define  _DCH3INTSET       0xBF8832C8
#define  _DCH3INTINV       0xBF8832CC
#define  _DCH3SSA          0xBF8832D0
#define  _DCH3SSACLR       0xBF8832D4
#define  _DCH3SSASET       0xBF8832D8
#define  _DCH3SSAINV       0xBF8832DC
#define  _DCH3DSA          0xBF8832E0
#define  _DCH3DSACLR       0xBF8832E4
#define  _DCH3DSASET       0xBF8832E8
#define  _DCH3DSAINV       0xBF8832EC
#define  _DCH3SSIZ         0xBF8832F0
#define  _DCH3SSIZCLR      0xBF8832F4
#define  _DCH3SSIZSET      0xBF8832F8
#define  _DCH3SSIZINV      0xBF8832FC
#define  _DCH3DSIZ         0xBF883300
#define  _DCH3DSIZCLR      0xBF883304
#define  _DCH3DSIZSET      0xBF883308
#define  _DCH3DSIZINV      0xBF88330C
#define  _DCH3SPTR         0xBF883310
#define  _DCH3SPTRCLR      0xBF883314
#define  _DCH3SPTRSET      0xBF883318
#define  _DCH3SPTRINV      0xBF88331C
#define  _DCH3DPTR         0xBF883320
#define  _DCH3DPTRCLR      0xBF883324
#define  _DCH3DPTRSET      0xBF883328
#define  _DCH3DPTRINV      0xBF88332C
#define  _DCH3CSIZ         0xBF883330
#define  _DCH3CSIZCLR      0xBF883334
#define  _DCH3CSIZSET      0xBF883338
#define  _DCH3CSIZINV      0xBF88333C
#define  _DCH3CPTR         0xBF883340
#define  _DCH3CPTRCLR      0xBF883344
#define  _DCH3CPTRSET      0xBF883348
#define  _DCH3CPTRINV      0xBF88334C
#define  _DCH3DAT          0xBF883350
#define  _DCH3DATCLR       0xBF883354
#define  _DCH3DATSET       0xBF883358
#define  _DCH3DATINV       0xBF88335C
#define  _U1OTGIR          0xBF885040
#define  _U1OTGIRCLR       0xBF885044
#define  _U1OTGIE          0xBF885050
#define  _U1OTGIECLR       0xBF885054
#define  _U1OTGIESET       0xBF885058
#define  _U1OTGIEINV       0xBF88505C
#define  _U1OTGSTAT        0xBF885060
#define  _U1OTGCON         0xBF885070
#define  _U1OTGCONCLR      0xBF885074
#define  _U1OTGCONSET      0xBF885078
#define  _U1OTGCONINV      0xBF88507C
#define  _U1PWRC           0xBF885080
#define  _U1PWRCCLR        0xBF885084
#define  _U1PWRCSET        0xBF885088
#define  _U1PWRCINV        0xBF88508C
#define  _U1IR             0xBF885200
#define  _U1IRCLR          0xBF885204
#define  _U1IE             0xBF885210
#define  _U1IECLR          0xBF885214
#define  _U1IESET          0xBF885218
#define  _U1IEINV          0xBF88521C
#define  _U1EIR            0xBF885220
#define  _U1EIRCLR         0xBF885224
#define  _U1EIE            0xBF885230
#define  _U1EIECLR         0xBF885234
#define  _U1EIESET         0xBF885238
#define  _U1EIEINV         0xBF88523C
#define  _U1STAT           0xBF885240
#define  _U1STATCLR        0xBF885244
#define  _U1STATSET        0xBF885248
#define  _U1STATINV        0xBF88524C
#define  _U1CON            0xBF885250
#define  _U1CONCLR         0xBF885254
#define  _U1CONSET         0xBF885258
#define  _U1CONINV         0xBF88525C
#define  _U1ADDR           0xBF885260
#define  _U1ADDRCLR        0xBF885264
#define  _U1ADDRSET        0xBF885268
#define  _U1ADDRINV        0xBF88526C
#define  _U1BDTP1          0xBF885270
#define  _U1BDTP1CLR       0xBF885274
#define  _U1BDTP1SET       0xBF885278
#define  _U1BDTP1INV       0xBF88527C
#define  _U1FRML           0xBF885280
#define  _U1FRMLCLR        0xBF885284
#define  _U1FRMLSET        0xBF885288
#define  _U1FRMLINV        0xBF88528C
#define  _U1FRMH           0xBF885290
#define  _U1FRMHCLR        0xBF885294
#define  _U1FRMHSET        0xBF885298
#define  _U1FRMHINV        0xBF88529C
#define  _U1TOK            0xBF8852A0
#define  _U1TOKCLR         0xBF8852A4
#define  _U1TOKSET         0xBF8852A8
#define  _U1TOKINV         0xBF8852AC
#define  _U1SOF            0xBF8852B0
#define  _U1SOFCLR         0xBF8852B4
#define  _U1SOFSET         0xBF8852B8
#define  _U1SOFINV         0xBF8852BC
#define  _U1BDTP2          0xBF8852C0
#define  _U1BDTP2CLR       0xBF8852C4
#define  _U1BDTP2SET       0xBF8852C8
#define  _U1BDTP2INV       0xBF8852CC
#define  _U1BDTP3          0xBF8852D0
#define  _U1BDTP3CLR       0xBF8852D4
#define  _U1BDTP3SET       0xBF8852D8
#define  _U1BDTP3INV       0xBF8852DC
#define  _U1CNFG1          0xBF8852E0
#define  _U1CNFG1CLR       0xBF8852E4
#define  _U1CNFG1SET       0xBF8852E8
#define  _U1CNFG1INV       0xBF8852EC
#define  _U1EP0            0xBF885300
#define  _U1EP0CLR         0xBF885304
#define  _U1EP0SET         0xBF885308
#define  _U1EP0INV         0xBF88530C
#define  _U1EP1            0xBF885310
#define  _U1EP1CLR         0xBF885314
#define  _U1EP1SET         0xBF885318
#define  _U1EP1INV         0xBF88531C
#define  _U1EP2            0xBF885320
#define  _U1EP2CLR         0xBF885324
#define  _U1EP2SET         0xBF885328
#define  _U1EP2INV         0xBF88532C
#define  _U1EP3            0xBF885330
#define  _U1EP3CLR         0xBF885334
#define  _U1EP3SET         0xBF885338
#define  _U1EP3INV         0xBF88533C
#define  _U1EP4            0xBF885340
#define  _U1EP4CLR         0xBF885344
#define  _U1EP4SET         0xBF885348
#define  _U1EP4INV         0xBF88534C
#define  _U1EP5            0xBF885350
#define  _U1EP5CLR         0xBF885354
#define  _U1EP5SET         0xBF885358
#define  _U1EP5INV         0xBF88535C
#define  _U1EP6            0xBF885360
#define  _U1EP6CLR         0xBF885364
#define  _U1EP6SET         0xBF885368
#define  _U1EP6INV         0xBF88536C
#define  _U1EP7            0xBF885370
#define  _U1EP7CLR         0xBF885374
#define  _U1EP7SET         0xBF885378
#define  _U1EP7INV         0xBF88537C
#define  _U1EP8            0xBF885380
#define  _U1EP8CLR         0xBF885384
#define  _U1EP8SET         0xBF885388
#define  _U1EP8INV         0xBF88538C
#define  _U1EP9            0xBF885390
#define  _U1EP9CLR         0xBF885394
#define  _U1EP9SET         0xBF885398
#define  _U1EP9INV         0xBF88539C
#define  _U1EP10           0xBF8853A0
#define  _U1EP10CLR        0xBF8853A4
#define  _U1EP10SET        0xBF8853A8
#define  _U1EP10INV        0xBF8853AC
#define  _U1EP11           0xBF8853B0
#define  _U1EP11CLR        0xBF8853B4
#define  _U1EP11SET        0xBF8853B8
#define  _U1EP11INV        0xBF8853BC
#define  _U1EP12           0xBF8853C0
#define  _U1EP12CLR        0xBF8853C4
#define  _U1EP12SET        0xBF8853C8
#define  _U1EP12INV        0xBF8853CC
#define  _U1EP13           0xBF8853D0
#define  _U1EP13CLR        0xBF8853D4
#define  _U1EP13SET        0xBF8853D8
#define  _U1EP13INV        0xBF8853DC
#define  _U1EP14           0xBF8853E0
#define  _U1EP14CLR        0xBF8853E4
#define  _U1EP14SET        0xBF8853E8
#define  _U1EP14INV        0xBF8853EC
#define  _U1EP15           0xBF8853F0
#define  _U1EP15CLR        0xBF8853F4
#define  _U1EP15SET        0xBF8853F8
#define  _U1EP15INV        0xBF8853FC
#define  _ANSELA           0xBF886000
#define  _ANSELACLR        0xBF886004
#define  _ANSELASET        0xBF886008
#define  _ANSELAINV        0xBF88600C
#define  _TRISA            0xBF886010
#define  _TRISACLR         0xBF886014
#define  _TRISASET         0xBF886018
#define  _TRISAINV         0xBF88601C
#define  _PORTA            0xBF886020
#define  _PORTACLR         0xBF886024
#define  _PORTASET         0xBF886028
#define  _PORTAINV         0xBF88602C
#define  _LATA             0xBF886030
#define  _LATACLR          0xBF886034
#define  _LATASET          0xBF886038
#define  _LATAINV          0xBF88603C
#define  _ODCA             0xBF886040
#define  _ODCACLR          0xBF886044
#define  _ODCASET          0xBF886048
#define  _ODCAINV          0xBF88604C
#define  _CNPUA            0xBF886050
#define  _CNPUACLR         0xBF886054
#define  _CNPUASET         0xBF886058
#define  _CNPUAINV         0xBF88605C
#define  _CNPDA            0xBF886060
#define  _CNPDACLR         0xBF886064
#define  _CNPDASET         0xBF886068
#define  _CNPDAINV         0xBF88606C
#define  _CNCONA           0xBF886070
#define  _CNCONACLR        0xBF886074
#define  _CNCONASET        0xBF886078
#define  _CNCONAINV        0xBF88607C
#define  _CNENA            0xBF886080
#define  _CNENACLR         0xBF886084
#define  _CNENASET         0xBF886088
#define  _CNENAINV         0xBF88608C
#define  _CNSTATA          0xBF886090
#define  _CNSTATACLR       0xBF886094
#define  _CNSTATASET       0xBF886098
#define  _CNSTATAINV       0xBF88609C
#define  _ANSELB           0xBF886100
#define  _ANSELBCLR        0xBF886104
#define  _ANSELBSET        0xBF886108
#define  _ANSELBINV        0xBF88610C
#define  _TRISB            0xBF886110
#define  _TRISBCLR         0xBF886114
#define  _TRISBSET         0xBF886118
#define  _TRISBINV         0xBF88611C
#define  _PORTB            0xBF886120
#define  _PORTBCLR         0xBF886124
#define  _PORTBSET         0xBF886128
#define  _PORTBINV         0xBF88612C
#define  _LATB             0xBF886130
#define  _LATBCLR          0xBF886134
#define  _LATBSET          0xBF886138
#define  _LATBINV          0xBF88613C
#define  _ODCB             0xBF886140
#define  _ODCBCLR          0xBF886144
#define  _ODCBSET          0xBF886148
#define  _ODCBINV          0xBF88614C
#define  _CNPUB            0xBF886150
#define  _CNPUBCLR         0xBF886154
#define  _CNPUBSET         0xBF886158
#define  _CNPUBINV         0xBF88615C
#define  _CNPDB            0xBF886160
#define  _CNPDBCLR         0xBF886164
#define  _CNPDBSET         0xBF886168
#define  _CNPDBINV         0xBF88616C
#define  _CNCONB           0xBF886170
#define  _CNCONBCLR        0xBF886174
#define  _CNCONBSET        0xBF886178
#define  _CNCONBINV        0xBF88617C
#define  _CNENB            0xBF886180
#define  _CNENBCLR         0xBF886184
#define  _CNENBSET         0xBF886188
#define  _CNENBINV         0xBF88618C
#define  _CNSTATB          0xBF886190
#define  _CNSTATBCLR       0xBF886194
#define  _CNSTATBSET       0xBF886198
#define  _CNSTATBINV       0xBF88619C
#define  _ANSELC           0xBF886200
#define  _ANSELCCLR        0xBF886204
#define  _ANSELCSET        0xBF886208
#define  _ANSELCINV        0xBF88620C
#define  _TRISC            0xBF886210
#define  _TRISCCLR         0xBF886214
#define  _TRISCSET         0xBF886218
#define  _TRISCINV         0xBF88621C
#define  _PORTC            0xBF886220
#define  _PORTCCLR         0xBF886224
#define  _PORTCSET         0xBF886228
#define  _PORTCINV         0xBF88622C
#define  _LATC             0xBF886230
#define  _LATCCLR          0xBF886234
#define  _LATCSET          0xBF886238
#define  _LATCINV          0xBF88623C
#define  _ODCC             0xBF886240
#define  _ODCCCLR          0xBF886244
#define  _ODCCSET          0xBF886248
#define  _ODCCINV          0xBF88624C
#define  _CNPUC            0xBF886250
#define  _CNPUCCLR         0xBF886254
#define  _CNPUCSET         0xBF886258
#define  _CNPUCINV         0xBF88625C
#define  _CNPDC            0xBF886260
#define  _CNPDCCLR         0xBF886264
#define  _CNPDCSET         0xBF886268
#define  _CNPDCINV         0xBF88626C
#define  _CNCONC           0xBF886270
#define  _CNCONCCLR        0xBF886274
#define  _CNCONCSET        0xBF886278
#define  _CNCONCINV        0xBF88627C
#define  _CNENC            0xBF886280
#define  _CNENCCLR         0xBF886284
#define  _CNENCSET         0xBF886288
#define  _CNENCINV         0xBF88628C
#define  _CNSTATC          0xBF886290
#define  _CNSTATCCLR       0xBF886294
#define  _CNSTATCSET       0xBF886298
#define  _CNSTATCINV       0xBF88629C
#define  _DEVCFG3          0xBFC00BF0
#define  _DEVCFG2          0xBFC00BF4
#define  _DEVCFG1          0xBFC00BF8
#define  _DEVCFG0          0xBFC00BFC
#endif /* _P32MX_2XX_REGS_H_ */
