#ifndef _PIC32MX_4XX_REGS_H_
#define _PIC32MX_4XX_REGS_H_

#define  WDTCON           0xBF800000
#define  WDTCONCLR        0xBF800004
#define  WDTCONSET        0xBF800008
#define  WDTCONINV        0xBF80000C
#define  RTCCON           0xBF800200
#define  RTCCONCLR        0xBF800204
#define  RTCCONSET        0xBF800208
#define  RTCCONINV        0xBF80020C
#define  RTCALRM          0xBF800210
#define  RTCALRMCLR       0xBF800214
#define  RTCALRMSET       0xBF800218
#define  RTCALRMINV       0xBF80021C
#define  RTCTIME          0xBF800220
#define  RTCTIMECLR       0xBF800224
#define  RTCTIMESET       0xBF800228
#define  RTCTIMEINV       0xBF80022C
#define  RTCDATE          0xBF800230
#define  RTCDATECLR       0xBF800234
#define  RTCDATESET       0xBF800238
#define  RTCDATEINV       0xBF80023C
#define  ALRMTIME         0xBF800240
#define  ALRMTIMECLR      0xBF800244
#define  ALRMTIMESET      0xBF800248
#define  ALRMTIMEINV      0xBF80024C
#define  ALRMDATE         0xBF800250
#define  ALRMDATECLR      0xBF800254
#define  ALRMDATESET      0xBF800258
#define  ALRMDATEINV      0xBF80025C
#define  T1CON            0xBF800600
#define  T1CONCLR         0xBF800604
#define  T1CONSET         0xBF800608
#define  T1CONINV         0xBF80060C
#define  TMR1             0xBF800610
#define  TMR1CLR          0xBF800614
#define  TMR1SET          0xBF800618
#define  TMR1INV          0xBF80061C
#define  PR1              0xBF800620
#define  PR1CLR           0xBF800624
#define  PR1SET           0xBF800628
#define  PR1INV           0xBF80062C
#define  T2CON            0xBF800800
#define  T2CONCLR         0xBF800804
#define  T2CONSET         0xBF800808
#define  T2CONINV         0xBF80080C
#define  TMR2             0xBF800810
#define  TMR2CLR          0xBF800814
#define  TMR2SET          0xBF800818
#define  TMR2INV          0xBF80081C
#define  PR2              0xBF800820
#define  PR2CLR           0xBF800824
#define  PR2SET           0xBF800828
#define  PR2INV           0xBF80082C
#define  T3CON            0xBF800A00
#define  T3CONCLR         0xBF800A04
#define  T3CONSET         0xBF800A08
#define  T3CONINV         0xBF800A0C
#define  TMR3             0xBF800A10
#define  TMR3CLR          0xBF800A14
#define  TMR3SET          0xBF800A18
#define  TMR3INV          0xBF800A1C
#define  PR3              0xBF800A20
#define  PR3CLR           0xBF800A24
#define  PR3SET           0xBF800A28
#define  PR3INV           0xBF800A2C
#define  T4CON            0xBF800C00
#define  T4CONCLR         0xBF800C04
#define  T4CONSET         0xBF800C08
#define  T4CONINV         0xBF800C0C
#define  TMR4             0xBF800C10
#define  TMR4CLR          0xBF800C14
#define  TMR4SET          0xBF800C18
#define  TMR4INV          0xBF800C1C
#define  PR4              0xBF800C20
#define  PR4CLR           0xBF800C24
#define  PR4SET           0xBF800C28
#define  PR4INV           0xBF800C2C
#define  T5CON            0xBF800E00
#define  T5CONCLR         0xBF800E04
#define  T5CONSET         0xBF800E08
#define  T5CONINV         0xBF800E0C
#define  TMR5             0xBF800E10
#define  TMR5CLR          0xBF800E14
#define  TMR5SET          0xBF800E18
#define  TMR5INV          0xBF800E1C
#define  PR5              0xBF800E20
#define  PR5CLR           0xBF800E24
#define  PR5SET           0xBF800E28
#define  PR5INV           0xBF800E2C
#define  IC1CON           0xBF802000
#define  IC1CONCLR        0xBF802004
#define  IC1CONSET        0xBF802008
#define  IC1CONINV        0xBF80200C
#define  IC1BUF           0xBF802010
#define  IC2CON           0xBF802200
#define  IC2CONCLR        0xBF802204
#define  IC2CONSET        0xBF802208
#define  IC2CONINV        0xBF80220C
#define  IC2BUF           0xBF802210
#define  IC3CON           0xBF802400
#define  IC3CONCLR        0xBF802404
#define  IC3CONSET        0xBF802408
#define  IC3CONINV        0xBF80240C
#define  IC3BUF           0xBF802410
#define  IC4CON           0xBF802600
#define  IC4CONCLR        0xBF802604
#define  IC4CONSET        0xBF802608
#define  IC4CONINV        0xBF80260C
#define  IC4BUF           0xBF802610
#define  IC5CON           0xBF802800
#define  IC5CONCLR        0xBF802804
#define  IC5CONSET        0xBF802808
#define  IC5CONINV        0xBF80280C
#define  IC5BUF           0xBF802810
#define  OC1CON           0xBF803000
#define  OC1CONCLR        0xBF803004
#define  OC1CONSET        0xBF803008
#define  OC1CONINV        0xBF80300C
#define  OC1R             0xBF803010
#define  OC1RCLR          0xBF803014
#define  OC1RSET          0xBF803018
#define  OC1RINV          0xBF80301C
#define  OC1RS            0xBF803020
#define  OC1RSCLR         0xBF803024
#define  OC1RSSET         0xBF803028
#define  OC1RSINV         0xBF80302C
#define  OC2CON           0xBF803200
#define  OC2CONCLR        0xBF803204
#define  OC2CONSET        0xBF803208
#define  OC2CONINV        0xBF80320C
#define  OC2R             0xBF803210
#define  OC2RCLR          0xBF803214
#define  OC2RSET          0xBF803218
#define  OC2RINV          0xBF80321C
#define  OC2RS            0xBF803220
#define  OC2RSCLR         0xBF803224
#define  OC2RSSET         0xBF803228
#define  OC2RSINV         0xBF80322C
#define  OC3CON           0xBF803400
#define  OC3CONCLR        0xBF803404
#define  OC3CONSET        0xBF803408
#define  OC3CONINV        0xBF80340C
#define  OC3R             0xBF803410
#define  OC3RCLR          0xBF803414
#define  OC3RSET          0xBF803418
#define  OC3RINV          0xBF80341C
#define  OC3RS            0xBF803420
#define  OC3RSCLR         0xBF803424
#define  OC3RSSET         0xBF803428
#define  OC3RSINV         0xBF80342C
#define  OC4CON           0xBF803600
#define  OC4CONCLR        0xBF803604
#define  OC4CONSET        0xBF803608
#define  OC4CONINV        0xBF80360C
#define  OC4R             0xBF803610
#define  OC4RCLR          0xBF803614
#define  OC4RSET          0xBF803618
#define  OC4RINV          0xBF80361C
#define  OC4RS            0xBF803620
#define  OC4RSCLR         0xBF803624
#define  OC4RSSET         0xBF803628
#define  OC4RSINV         0xBF80362C
#define  OC5CON           0xBF803800
#define  OC5CONCLR        0xBF803804
#define  OC5CONSET        0xBF803808
#define  OC5CONINV        0xBF80380C
#define  OC5R             0xBF803810
#define  OC5RCLR          0xBF803814
#define  OC5RSET          0xBF803818
#define  OC5RINV          0xBF80381C
#define  OC5RS            0xBF803820
#define  OC5RSCLR         0xBF803824
#define  OC5RSSET         0xBF803828
#define  OC5RSINV         0xBF80382C
#define  I2C1CON          0xBF805000
#define  I2C1CONCLR       0xBF805004
#define  I2C1CONSET       0xBF805008
#define  I2C1CONINV       0xBF80500C
#define  I2C1STAT         0xBF805010
#define  I2C1STATCLR      0xBF805014
#define  I2C1STATSET      0xBF805018
#define  I2C1STATINV      0xBF80501C
#define  I2C1ADD          0xBF805020
#define  I2C1ADDCLR       0xBF805024
#define  I2C1ADDSET       0xBF805028
#define  I2C1ADDINV       0xBF80502C
#define  I2C1MSK          0xBF805030
#define  I2C1MSKCLR       0xBF805034
#define  I2C1MSKSET       0xBF805038
#define  I2C1MSKINV       0xBF80503C
#define  I2C1BRG          0xBF805040
#define  I2C1BRGCLR       0xBF805044
#define  I2C1BRGSET       0xBF805048
#define  I2C1BRGINV       0xBF80504C
#define  I2C1TRN          0xBF805050
#define  I2C1TRNCLR       0xBF805054
#define  I2C1TRNSET       0xBF805058
#define  I2C1TRNINV       0xBF80505C
#define  I2C1RCV          0xBF805060
#define  I2C2CON          0xBF805200
#define  I2C2CONCLR       0xBF805204
#define  I2C2CONSET       0xBF805208
#define  I2C2CONINV       0xBF80520C
#define  I2C2STAT         0xBF805210
#define  I2C2STATCLR      0xBF805214
#define  I2C2STATSET      0xBF805218
#define  I2C2STATINV      0xBF80521C
#define  I2C2ADD          0xBF805220
#define  I2C2ADDCLR       0xBF805224
#define  I2C2ADDSET       0xBF805228
#define  I2C2ADDINV       0xBF80522C
#define  I2C2MSK          0xBF805230
#define  I2C2MSKCLR       0xBF805234
#define  I2C2MSKSET       0xBF805238
#define  I2C2MSKINV       0xBF80523C
#define  I2C2BRG          0xBF805240
#define  I2C2BRGCLR       0xBF805244
#define  I2C2BRGSET       0xBF805248
#define  I2C2BRGINV       0xBF80524C
#define  I2C2TRN          0xBF805250
#define  I2C2TRNCLR       0xBF805254
#define  I2C2TRNSET       0xBF805258
#define  I2C2TRNINV       0xBF80525C
#define  I2C2RCV          0xBF805260
#define  SPI1CON          0xBF805800
#define  SPI1CONCLR       0xBF805804
#define  SPI1CONSET       0xBF805808
#define  SPI1CONINV       0xBF80580C
#define  SPI1STAT         0xBF805810
#define  SPI1STATCLR      0xBF805814
#define  SPI1STATSET      0xBF805818
#define  SPI1STATINV      0xBF80581C
#define  SPI1BUF          0xBF805820
#define  SPI1BRG          0xBF805830
#define  SPI1BRGCLR       0xBF805834
#define  SPI1BRGSET       0xBF805838
#define  SPI1BRGINV       0xBF80583C
#define  SPI2CON          0xBF805A00
#define  SPI2CONCLR       0xBF805A04
#define  SPI2CONSET       0xBF805A08
#define  SPI2CONINV       0xBF805A0C
#define  SPI2STAT         0xBF805A10
#define  SPI2STATCLR      0xBF805A14
#define  SPI2STATSET      0xBF805A18
#define  SPI2STATINV      0xBF805A1C
#define  SPI2BUF          0xBF805A20
#define  SPI2BRG          0xBF805A30
#define  SPI2BRGCLR       0xBF805A34
#define  SPI2BRGSET       0xBF805A38
#define  SPI2BRGINV       0xBF805A3C
#define  U1MODE           0xBF806000
#define  U1MODECLR        0xBF806004
#define  U1MODESET        0xBF806008
#define  U1MODEINV        0xBF80600C
#define  U1STA            0xBF806010
#define  U1STACLR         0xBF806014
#define  U1STASET         0xBF806018
#define  U1STAINV         0xBF80601C
#define  U1TXREG          0xBF806020
#define  U1RXREG          0xBF806030
#define  U1BRG            0xBF806040
#define  U1BRGCLR         0xBF806044
#define  U1BRGSET         0xBF806048
#define  U1BRGINV         0xBF80604C
#define  U2MODE           0xBF806200
#define  U2MODECLR        0xBF806204
#define  U2MODESET        0xBF806208
#define  U2MODEINV        0xBF80620C
#define  U2STA            0xBF806210
#define  U2STACLR         0xBF806214
#define  U2STASET         0xBF806218
#define  U2STAINV         0xBF80621C
#define  U2TXREG          0xBF806220
#define  U2RXREG          0xBF806230
#define  U2BRG            0xBF806240
#define  U2BRGCLR         0xBF806244
#define  U2BRGSET         0xBF806248
#define  U2BRGINV         0xBF80624C
#define  PMCON            0xBF807000
#define  PMCONCLR         0xBF807004
#define  PMCONSET         0xBF807008
#define  PMCONINV         0xBF80700C
#define  PMMODE           0xBF807010
#define  PMMODECLR        0xBF807014
#define  PMMODESET        0xBF807018
#define  PMMODEINV        0xBF80701C
#define  PMADDR           0xBF807020
#define  PMADDRCLR        0xBF807024
#define  PMADDRSET        0xBF807028
#define  PMADDRINV        0xBF80702C
#define  PMDOUT           0xBF807030
#define  PMDOUTCLR        0xBF807034
#define  PMDOUTSET        0xBF807038
#define  PMDOUTINV        0xBF80703C
#define  PMDIN            0xBF807040
#define  PMDINCLR         0xBF807044
#define  PMDINSET         0xBF807048
#define  PMDININV         0xBF80704C
#define  PMAEN            0xBF807050
#define  PMAENCLR         0xBF807054
#define  PMAENSET         0xBF807058
#define  PMAENINV         0xBF80705C
#define  PMSTAT           0xBF807060
#define  PMSTATCLR        0xBF807064
#define  PMSTATSET        0xBF807068
#define  PMSTATINV        0xBF80706C
#define  AD1CON1          0xBF809000
#define  AD1CON1CLR       0xBF809004
#define  AD1CON1SET       0xBF809008
#define  AD1CON1INV       0xBF80900C
#define  AD1CON2          0xBF809010
#define  AD1CON2CLR       0xBF809014
#define  AD1CON2SET       0xBF809018
#define  AD1CON2INV       0xBF80901C
#define  AD1CON3          0xBF809020
#define  AD1CON3CLR       0xBF809024
#define  AD1CON3SET       0xBF809028
#define  AD1CON3INV       0xBF80902C
#define  AD1CHS           0xBF809040
#define  AD1CHSCLR        0xBF809044
#define  AD1CHSSET        0xBF809048
#define  AD1CHSINV        0xBF80904C
#define  AD1CSSL          0xBF809050
#define  AD1CSSLCLR       0xBF809054
#define  AD1CSSLSET       0xBF809058
#define  AD1CSSLINV       0xBF80905C
#define  AD1PCFG          0xBF809060
#define  AD1PCFGCLR       0xBF809064
#define  AD1PCFGSET       0xBF809068
#define  AD1PCFGINV       0xBF80906C
#define  ADC1BUF0         0xBF809070
#define  ADC1BUF1         0xBF809080
#define  ADC1BUF2         0xBF809090
#define  ADC1BUF3         0xBF8090A0
#define  ADC1BUF4         0xBF8090B0
#define  ADC1BUF5         0xBF8090C0
#define  ADC1BUF6         0xBF8090D0
#define  ADC1BUF7         0xBF8090E0
#define  ADC1BUF8         0xBF8090F0
#define  ADC1BUF9         0xBF809100
#define  ADC1BUFA         0xBF809110
#define  ADC1BUFB         0xBF809120
#define  ADC1BUFC         0xBF809130
#define  ADC1BUFD         0xBF809140
#define  ADC1BUFE         0xBF809150
#define  ADC1BUFF         0xBF809160
#define  CVRCON           0xBF809800
#define  CVRCONCLR        0xBF809804
#define  CVRCONSET        0xBF809808
#define  CVRCONINV        0xBF80980C
#define  CM1CON           0xBF80A000
#define  CM1CONCLR        0xBF80A004
#define  CM1CONSET        0xBF80A008
#define  CM1CONINV        0xBF80A00C
#define  CM2CON           0xBF80A010
#define  CM2CONCLR        0xBF80A014
#define  CM2CONSET        0xBF80A018
#define  CM2CONINV        0xBF80A01C
#define  CMSTAT           0xBF80A060
#define  CMSTATCLR        0xBF80A064
#define  CMSTATSET        0xBF80A068
#define  CMSTATINV        0xBF80A06C
#define  OSCCON           0xBF80F000
#define  OSCCONCLR        0xBF80F004
#define  OSCCONSET        0xBF80F008
#define  OSCCONINV        0xBF80F00C
#define  OSCTUN           0xBF80F010
#define  OSCTUNCLR        0xBF80F014
#define  OSCTUNSET        0xBF80F018
#define  OSCTUNINV        0xBF80F01C
#define  DDPCON           0xBF80F200
#define  DEVID            0xBF80F220
#define  SYSKEY           0xBF80F230
#define  SYSKEYCLR        0xBF80F234
#define  SYSKEYSET        0xBF80F238
#define  SYSKEYINV        0xBF80F23C
#define  NVMCON           0xBF80F400
#define  NVMCONCLR        0xBF80F404
#define  NVMCONSET        0xBF80F408
#define  NVMCONINV        0xBF80F40C
#define  NVMKEY           0xBF80F410
#define  NVMADDR          0xBF80F420
#define  NVMADDRCLR       0xBF80F424
#define  NVMADDRSET       0xBF80F428
#define  NVMADDRINV       0xBF80F42C
#define  NVMDATA          0xBF80F430
#define  NVMSRCADDR       0xBF80F440
#define  RCON             0xBF80F600
#define  RCONCLR          0xBF80F604
#define  RCONSET          0xBF80F608
#define  RCONINV          0xBF80F60C
#define  RSWRST           0xBF80F610
#define  RSWRSTCLR        0xBF80F614
#define  RSWRSTSET        0xBF80F618
#define  RSWRSTINV        0xBF80F61C
#define  _DDPSTAT         0xBF880140
#define  _STRO            0xBF880170
#define  _STROCLR         0xBF880174
#define  _STROSET         0xBF880178
#define  _STROINV         0xBF88017C
#define  _APPO            0xBF880180
#define  _APPOCLR         0xBF880184
#define  _APPOSET         0xBF880188
#define  _APPOINV         0xBF88018C
#define  _APPI            0xBF880190
#define  INTCON           0xBF881000
#define  INTCONCLR        0xBF881004
#define  INTCONSET        0xBF881008
#define  INTCONINV        0xBF88100C
#define  INTSTAT          0xBF881010
#define  IPTMR            0xBF881020
#define  IPTMRCLR         0xBF881024
#define  IPTMRSET         0xBF881028
#define  IPTMRINV         0xBF88102C
#define  IFS0             0xBF881030
#define  IFS0CLR          0xBF881034
#define  IFS0SET          0xBF881038
#define  IFS0INV          0xBF88103C
#define  IFS1             0xBF881040
#define  IFS1CLR          0xBF881044
#define  IFS1SET          0xBF881048
#define  IFS1INV          0xBF88104C
#define  IEC0             0xBF881060
#define  IEC0CLR          0xBF881064
#define  IEC0SET          0xBF881068
#define  IEC0INV          0xBF88106C
#define  IEC1             0xBF881070
#define  IEC1CLR          0xBF881074
#define  IEC1SET          0xBF881078
#define  IEC1INV          0xBF88107C
#define  IPC0             0xBF881090
#define  IPC0CLR          0xBF881094
#define  IPC0SET          0xBF881098
#define  IPC0INV          0xBF88109C
#define  IPC1             0xBF8810A0
#define  IPC1CLR          0xBF8810A4
#define  IPC1SET          0xBF8810A8
#define  IPC1INV          0xBF8810AC
#define  IPC2             0xBF8810B0
#define  IPC2CLR          0xBF8810B4
#define  IPC2SET          0xBF8810B8
#define  IPC2INV          0xBF8810BC
#define  IPC3             0xBF8810C0
#define  IPC3CLR          0xBF8810C4
#define  IPC3SET          0xBF8810C8
#define  IPC3INV          0xBF8810CC
#define  IPC4             0xBF8810D0
#define  IPC4CLR          0xBF8810D4
#define  IPC4SET          0xBF8810D8
#define  IPC4INV          0xBF8810DC
#define  IPC5             0xBF8810E0
#define  IPC5CLR          0xBF8810E4
#define  IPC5SET          0xBF8810E8
#define  IPC5INV          0xBF8810EC
#define  IPC6             0xBF8810F0
#define  IPC6CLR          0xBF8810F4
#define  IPC6SET          0xBF8810F8
#define  IPC6INV          0xBF8810FC
#define  IPC7             0xBF881100
#define  IPC7CLR          0xBF881104
#define  IPC7SET          0xBF881108
#define  IPC7INV          0xBF88110C
#define  IPC8             0xBF881110
#define  IPC8CLR          0xBF881114
#define  IPC8SET          0xBF881118
#define  IPC8INV          0xBF88111C
#define  IPC9             0xBF881120
#define  IPC9CLR          0xBF881124
#define  IPC9SET          0xBF881128
#define  IPC9INV          0xBF88112C
#define  IPC11            0xBF881140
#define  IPC11CLR         0xBF881144
#define  IPC11SET         0xBF881148
#define  IPC11INV         0xBF88114C
#define  BMXCON           0xBF882000
#define  BMXCONCLR        0xBF882004
#define  BMXCONSET        0xBF882008
#define  BMXCONINV        0xBF88200C
#define  BMXDKPBA         0xBF882010
#define  BMXDKPBACLR      0xBF882014
#define  BMXDKPBASET      0xBF882018
#define  BMXDKPBAINV      0xBF88201C
#define  BMXDUDBA         0xBF882020
#define  BMXDUDBACLR      0xBF882024
#define  BMXDUDBASET      0xBF882028
#define  BMXDUDBAINV      0xBF88202C
#define  BMXDUPBA         0xBF882030
#define  BMXDUPBACLR      0xBF882034
#define  BMXDUPBASET      0xBF882038
#define  BMXDUPBAINV      0xBF88203C
#define  BMXDRMSZ         0xBF882040
#define  BMXPUPBA         0xBF882050
#define  BMXPUPBACLR      0xBF882054
#define  BMXPUPBASET      0xBF882058
#define  BMXPUPBAINV      0xBF88205C
#define  BMXPFMSZ         0xBF882060
#define  BMXBOOTSZ        0xBF882070
#define  DMACON           0xBF883000
#define  DMACONCLR        0xBF883004
#define  DMACONSET        0xBF883008
#define  DMACONINV        0xBF88300C
#define  DMASTAT          0xBF883010
#define  DMASTATCLR       0xBF883014
#define  DMASTATSET       0xBF883018
#define  DMASTATINV       0xBF88301C
#define  DMAADDR          0xBF883020
#define  DMAADDRCLR       0xBF883024
#define  DMAADDRSET       0xBF883028
#define  DMAADDRINV       0xBF88302C
#define  DCRCCON          0xBF883030
#define  DCRCCONCLR       0xBF883034
#define  DCRCCONSET       0xBF883038
#define  DCRCCONINV       0xBF88303C
#define  DCRCDATA         0xBF883040
#define  DCRCDATACLR      0xBF883044
#define  DCRCDATASET      0xBF883048
#define  DCRCDATAINV      0xBF88304C
#define  DCRCXOR          0xBF883050
#define  DCRCXORCLR       0xBF883054
#define  DCRCXORSET       0xBF883058
#define  DCRCXORINV       0xBF88305C
#define  DCH0CON          0xBF883060
#define  DCH0CONCLR       0xBF883064
#define  DCH0CONSET       0xBF883068
#define  DCH0CONINV       0xBF88306C
#define  DCH0ECON         0xBF883070
#define  DCH0ECONCLR      0xBF883074
#define  DCH0ECONSET      0xBF883078
#define  DCH0ECONINV      0xBF88307C
#define  DCH0INT          0xBF883080
#define  DCH0INTCLR       0xBF883084
#define  DCH0INTSET       0xBF883088
#define  DCH0INTINV       0xBF88308C
#define  DCH0SSA          0xBF883090
#define  DCH0SSACLR       0xBF883094
#define  DCH0SSASET       0xBF883098
#define  DCH0SSAINV       0xBF88309C
#define  DCH0DSA          0xBF8830A0
#define  DCH0DSACLR       0xBF8830A4
#define  DCH0DSASET       0xBF8830A8
#define  DCH0DSAINV       0xBF8830AC
#define  DCH0SSIZ         0xBF8830B0
#define  DCH0SSIZCLR      0xBF8830B4
#define  DCH0SSIZSET      0xBF8830B8
#define  DCH0SSIZINV      0xBF8830BC
#define  DCH0DSIZ         0xBF8830C0
#define  DCH0DSIZCLR      0xBF8830C4
#define  DCH0DSIZSET      0xBF8830C8
#define  DCH0DSIZINV      0xBF8830CC
#define  DCH0SPTR         0xBF8830D0
#define  DCH0SPTRCLR      0xBF8830D4
#define  DCH0SPTRSET      0xBF8830D8
#define  DCH0SPTRINV      0xBF8830DC
#define  DCH0DPTR         0xBF8830E0
#define  DCH0DPTRCLR      0xBF8830E4
#define  DCH0DPTRSET      0xBF8830E8
#define  DCH0DPTRINV      0xBF8830EC
#define  DCH0CSIZ         0xBF8830F0
#define  DCH0CSIZCLR      0xBF8830F4
#define  DCH0CSIZSET      0xBF8830F8
#define  DCH0CSIZINV      0xBF8830FC
#define  DCH0CPTR         0xBF883100
#define  DCH0CPTRCLR      0xBF883104
#define  DCH0CPTRSET      0xBF883108
#define  DCH0CPTRINV      0xBF88310C
#define  DCH0DAT          0xBF883110
#define  DCH0DATCLR       0xBF883114
#define  DCH0DATSET       0xBF883118
#define  DCH0DATINV       0xBF88311C
#define  DCH1CON          0xBF883120
#define  DCH1CONCLR       0xBF883124
#define  DCH1CONSET       0xBF883128
#define  DCH1CONINV       0xBF88312C
#define  DCH1ECON         0xBF883130
#define  DCH1ECONCLR      0xBF883134
#define  DCH1ECONSET      0xBF883138
#define  DCH1ECONINV      0xBF88313C
#define  DCH1INT          0xBF883140
#define  DCH1INTCLR       0xBF883144
#define  DCH1INTSET       0xBF883148
#define  DCH1INTINV       0xBF88314C
#define  DCH1SSA          0xBF883150
#define  DCH1SSACLR       0xBF883154
#define  DCH1SSASET       0xBF883158
#define  DCH1SSAINV       0xBF88315C
#define  DCH1DSA          0xBF883160
#define  DCH1DSACLR       0xBF883164
#define  DCH1DSASET       0xBF883168
#define  DCH1DSAINV       0xBF88316C
#define  DCH1SSIZ         0xBF883170
#define  DCH1SSIZCLR      0xBF883174
#define  DCH1SSIZSET      0xBF883178
#define  DCH1SSIZINV      0xBF88317C
#define  DCH1DSIZ         0xBF883180
#define  DCH1DSIZCLR      0xBF883184
#define  DCH1DSIZSET      0xBF883188
#define  DCH1DSIZINV      0xBF88318C
#define  DCH1SPTR         0xBF883190
#define  DCH1SPTRCLR      0xBF883194
#define  DCH1SPTRSET      0xBF883198
#define  DCH1SPTRINV      0xBF88319C
#define  DCH1DPTR         0xBF8831A0
#define  DCH1DPTRCLR      0xBF8831A4
#define  DCH1DPTRSET      0xBF8831A8
#define  DCH1DPTRINV      0xBF8831AC
#define  DCH1CSIZ         0xBF8831B0
#define  DCH1CSIZCLR      0xBF8831B4
#define  DCH1CSIZSET      0xBF8831B8
#define  DCH1CSIZINV      0xBF8831BC
#define  DCH1CPTR         0xBF8831C0
#define  DCH1CPTRCLR      0xBF8831C4
#define  DCH1CPTRSET      0xBF8831C8
#define  DCH1CPTRINV      0xBF8831CC
#define  DCH1DAT          0xBF8831D0
#define  DCH1DATCLR       0xBF8831D4
#define  DCH1DATSET       0xBF8831D8
#define  DCH1DATINV       0xBF8831DC
#define  DCH2CON          0xBF8831E0
#define  DCH2CONCLR       0xBF8831E4
#define  DCH2CONSET       0xBF8831E8
#define  DCH2CONINV       0xBF8831EC
#define  DCH2ECON         0xBF8831F0
#define  DCH2ECONCLR      0xBF8831F4
#define  DCH2ECONSET      0xBF8831F8
#define  DCH2ECONINV      0xBF8831FC
#define  DCH2INT          0xBF883200
#define  DCH2INTCLR       0xBF883204
#define  DCH2INTSET       0xBF883208
#define  DCH2INTINV       0xBF88320C
#define  DCH2SSA          0xBF883210
#define  DCH2SSACLR       0xBF883214
#define  DCH2SSASET       0xBF883218
#define  DCH2SSAINV       0xBF88321C
#define  DCH2DSA          0xBF883220
#define  DCH2DSACLR       0xBF883224
#define  DCH2DSASET       0xBF883228
#define  DCH2DSAINV       0xBF88322C
#define  DCH2SSIZ         0xBF883230
#define  DCH2SSIZCLR      0xBF883234
#define  DCH2SSIZSET      0xBF883238
#define  DCH2SSIZINV      0xBF88323C
#define  DCH2DSIZ         0xBF883240
#define  DCH2DSIZCLR      0xBF883244
#define  DCH2DSIZSET      0xBF883248
#define  DCH2DSIZINV      0xBF88324C
#define  DCH2SPTR         0xBF883250
#define  DCH2SPTRCLR      0xBF883254
#define  DCH2SPTRSET      0xBF883258
#define  DCH2SPTRINV      0xBF88325C
#define  DCH2DPTR         0xBF883260
#define  DCH2DPTRCLR      0xBF883264
#define  DCH2DPTRSET      0xBF883268
#define  DCH2DPTRINV      0xBF88326C
#define  DCH2CSIZ         0xBF883270
#define  DCH2CSIZCLR      0xBF883274
#define  DCH2CSIZSET      0xBF883278
#define  DCH2CSIZINV      0xBF88327C
#define  DCH2CPTR         0xBF883280
#define  DCH2CPTRCLR      0xBF883284
#define  DCH2CPTRSET      0xBF883288
#define  DCH2CPTRINV      0xBF88328C
#define  DCH2DAT          0xBF883290
#define  DCH2DATCLR       0xBF883294
#define  DCH2DATSET       0xBF883298
#define  DCH2DATINV       0xBF88329C
#define  DCH3CON          0xBF8832A0
#define  DCH3CONCLR       0xBF8832A4
#define  DCH3CONSET       0xBF8832A8
#define  DCH3CONINV       0xBF8832AC
#define  DCH3ECON         0xBF8832B0
#define  DCH3ECONCLR      0xBF8832B4
#define  DCH3ECONSET      0xBF8832B8
#define  DCH3ECONINV      0xBF8832BC
#define  DCH3INT          0xBF8832C0
#define  DCH3INTCLR       0xBF8832C4
#define  DCH3INTSET       0xBF8832C8
#define  DCH3INTINV       0xBF8832CC
#define  DCH3SSA          0xBF8832D0
#define  DCH3SSACLR       0xBF8832D4
#define  DCH3SSASET       0xBF8832D8
#define  DCH3SSAINV       0xBF8832DC
#define  DCH3DSA          0xBF8832E0
#define  DCH3DSACLR       0xBF8832E4
#define  DCH3DSASET       0xBF8832E8
#define  DCH3DSAINV       0xBF8832EC
#define  DCH3SSIZ         0xBF8832F0
#define  DCH3SSIZCLR      0xBF8832F4
#define  DCH3SSIZSET      0xBF8832F8
#define  DCH3SSIZINV      0xBF8832FC
#define  DCH3DSIZ         0xBF883300
#define  DCH3DSIZCLR      0xBF883304
#define  DCH3DSIZSET      0xBF883308
#define  DCH3DSIZINV      0xBF88330C
#define  DCH3SPTR         0xBF883310
#define  DCH3SPTRCLR      0xBF883314
#define  DCH3SPTRSET      0xBF883318
#define  DCH3SPTRINV      0xBF88331C
#define  DCH3DPTR         0xBF883320
#define  DCH3DPTRCLR      0xBF883324
#define  DCH3DPTRSET      0xBF883328
#define  DCH3DPTRINV      0xBF88332C
#define  DCH3CSIZ         0xBF883330
#define  DCH3CSIZCLR      0xBF883334
#define  DCH3CSIZSET      0xBF883338
#define  DCH3CSIZINV      0xBF88333C
#define  DCH3CPTR         0xBF883340
#define  DCH3CPTRCLR      0xBF883344
#define  DCH3CPTRSET      0xBF883348
#define  DCH3CPTRINV      0xBF88334C
#define  DCH3DAT          0xBF883350
#define  DCH3DATCLR       0xBF883354
#define  DCH3DATSET       0xBF883358
#define  DCH3DATINV       0xBF88335C
#define  CHECON           0xBF884000
#define  CHECONCLR        0xBF884004
#define  CHECONSET        0xBF884008
#define  CHECONINV        0xBF88400C
#define  CHEACC           0xBF884010
#define  CHEACCCLR        0xBF884014
#define  CHEACCSET        0xBF884018
#define  CHEACCINV        0xBF88401C
#define  CHETAG           0xBF884020
#define  CHETAGCLR        0xBF884024
#define  CHETAGSET        0xBF884028
#define  CHETAGINV        0xBF88402C
#define  CHEMSK           0xBF884030
#define  CHEMSKCLR        0xBF884034
#define  CHEMSKSET        0xBF884038
#define  CHEMSKINV        0xBF88403C
#define  CHEW0            0xBF884040
#define  CHEW1            0xBF884050
#define  CHEW2            0xBF884060
#define  CHEW3            0xBF884070
#define  CHELRU           0xBF884080
#define  CHEHIT           0xBF884090
#define  CHEMIS           0xBF8840A0
#define  CHEPFABT         0xBF8840C0
#define  U1OTGIR          0xBF885040
#define  U1OTGIRCLR       0xBF885044
#define  U1OTGIE          0xBF885050
#define  U1OTGIECLR       0xBF885054
#define  U1OTGIESET       0xBF885058
#define  U1OTGIEINV       0xBF88505C
#define  U1OTGSTAT        0xBF885060
#define  U1OTGSTATCLR     0xBF885064
#define  U1OTGCON         0xBF885070
#define  U1OTGCONCLR      0xBF885074
#define  U1OTGCONSET      0xBF885078
#define  U1OTGCONINV      0xBF88507C
#define  U1PWRC           0xBF885080
#define  U1PWRCCLR        0xBF885084
#define  U1PWRCSET        0xBF885088
#define  U1PWRCINV        0xBF88508C
#define  U1IR             0xBF885200
#define  U1IRCLR          0xBF885204
#define  U1IE             0xBF885210
#define  U1IECLR          0xBF885214
#define  U1IESET          0xBF885218
#define  U1IEINV          0xBF88521C
#define  U1EIR            0xBF885220
#define  U1EIRCLR         0xBF885224
#define  U1EIE            0xBF885230
#define  U1EIECLR         0xBF885234
#define  U1EIESET         0xBF885238
#define  U1EIEINV         0xBF88523C
#define  U1STAT           0xBF885240
#define  U1STATCLR        0xBF885244
#define  U1STATSET        0xBF885248
#define  U1STATINV        0xBF88524C
#define  U1CON            0xBF885250
#define  U1CONCLR         0xBF885254
#define  U1CONSET         0xBF885258
#define  U1CONINV         0xBF88525C
#define  U1ADDR           0xBF885260
#define  U1ADDRCLR        0xBF885264
#define  U1ADDRSET        0xBF885268
#define  U1ADDRINV        0xBF88526C
#define  U1BDTP1          0xBF885270
#define  U1BDTP1CLR       0xBF885274
#define  U1BDTP1SET       0xBF885278
#define  U1BDTP1INV       0xBF88527C
#define  U1FRML           0xBF885280
#define  U1FRMLCLR        0xBF885284
#define  U1FRMLSET        0xBF885288
#define  U1FRMLINV        0xBF88528C
#define  U1FRMH           0xBF885290
#define  U1FRMHCLR        0xBF885294
#define  U1FRMHSET        0xBF885298
#define  U1FRMHINV        0xBF88529C
#define  U1TOK            0xBF8852A0
#define  U1TOKCLR         0xBF8852A4
#define  U1TOKSET         0xBF8852A8
#define  U1TOKINV         0xBF8852AC
#define  U1SOF            0xBF8852B0
#define  U1SOFCLR         0xBF8852B4
#define  U1SOFSET         0xBF8852B8
#define  U1SOFINV         0xBF8852BC
#define  U1BDTP2          0xBF8852C0
#define  U1BDTP2CLR       0xBF8852C4
#define  U1BDTP2SET       0xBF8852C8
#define  U1BDTP2INV       0xBF8852CC
#define  U1BDTP3          0xBF8852D0
#define  U1BDTP3CLR       0xBF8852D4
#define  U1BDTP3SET       0xBF8852D8
#define  U1BDTP3INV       0xBF8852DC
#define  U1CNFG1          0xBF8852E0
#define  U1CNFG1CLR       0xBF8852E4
#define  U1CNFG1SET       0xBF8852E8
#define  U1CNFG1INV       0xBF8852EC
#define  U1EP0            0xBF885300
#define  U1EP0CLR         0xBF885304
#define  U1EP0SET         0xBF885308
#define  U1EP0INV         0xBF88530C
#define  U1EP1            0xBF885310
#define  U1EP1CLR         0xBF885314
#define  U1EP1SET         0xBF885318
#define  U1EP1INV         0xBF88531C
#define  U1EP2            0xBF885320
#define  U1EP2CLR         0xBF885324
#define  U1EP2SET         0xBF885328
#define  U1EP2INV         0xBF88532C
#define  U1EP3            0xBF885330
#define  U1EP3CLR         0xBF885334
#define  U1EP3SET         0xBF885338
#define  U1EP3INV         0xBF88533C
#define  U1EP4            0xBF885340
#define  U1EP4CLR         0xBF885344
#define  U1EP4SET         0xBF885348
#define  U1EP4INV         0xBF88534C
#define  U1EP5            0xBF885350
#define  U1EP5CLR         0xBF885354
#define  U1EP5SET         0xBF885358
#define  U1EP5INV         0xBF88535C
#define  U1EP6            0xBF885360
#define  U1EP6CLR         0xBF885364
#define  U1EP6SET         0xBF885368
#define  U1EP6INV         0xBF88536C
#define  U1EP7            0xBF885370
#define  U1EP7CLR         0xBF885374
#define  U1EP7SET         0xBF885378
#define  U1EP7INV         0xBF88537C
#define  U1EP8            0xBF885380
#define  U1EP8CLR         0xBF885384
#define  U1EP8SET         0xBF885388
#define  U1EP8INV         0xBF88538C
#define  U1EP9            0xBF885390
#define  U1EP9CLR         0xBF885394
#define  U1EP9SET         0xBF885398
#define  U1EP9INV         0xBF88539C
#define  U1EP10           0xBF8853A0
#define  U1EP10CLR        0xBF8853A4
#define  U1EP10SET        0xBF8853A8
#define  U1EP10INV        0xBF8853AC
#define  U1EP11           0xBF8853B0
#define  U1EP11CLR        0xBF8853B4
#define  U1EP11SET        0xBF8853B8
#define  U1EP11INV        0xBF8853BC
#define  U1EP12           0xBF8853C0
#define  U1EP12CLR        0xBF8853C4
#define  U1EP12SET        0xBF8853C8
#define  U1EP12INV        0xBF8853CC
#define  U1EP13           0xBF8853D0
#define  U1EP13CLR        0xBF8853D4
#define  U1EP13SET        0xBF8853D8
#define  U1EP13INV        0xBF8853DC
#define  U1EP14           0xBF8853E0
#define  U1EP14CLR        0xBF8853E4
#define  U1EP14SET        0xBF8853E8
#define  U1EP14INV        0xBF8853EC
#define  U1EP15           0xBF8853F0
#define  U1EP15CLR        0xBF8853F4
#define  U1EP15SET        0xBF8853F8
#define  U1EP15INV        0xBF8853FC
#define  TRISA            0xBF886000
#define  TRISACLR         0xBF886004
#define  TRISASET         0xBF886008
#define  TRISAINV         0xBF88600C
#define  PORTA            0xBF886010
#define  PORTACLR         0xBF886014
#define  PORTASET         0xBF886018
#define  PORTAINV         0xBF88601C
#define  LATA             0xBF886020
#define  LATACLR          0xBF886024
#define  LATASET          0xBF886028
#define  LATAINV          0xBF88602C
#define  ODCA             0xBF886030
#define  ODCACLR          0xBF886034
#define  ODCASET          0xBF886038
#define  ODCAINV          0xBF88603C
#define  TRISB            0xBF886040
#define  TRISBCLR         0xBF886044
#define  TRISBSET         0xBF886048
#define  TRISBINV         0xBF88604C
#define  PORTB            0xBF886050
#define  PORTBCLR         0xBF886054
#define  PORTBSET         0xBF886058
#define  PORTBINV         0xBF88605C
#define  LATB             0xBF886060
#define  LATBCLR          0xBF886064
#define  LATBSET          0xBF886068
#define  LATBINV          0xBF88606C
#define  ODCB             0xBF886070
#define  ODCBCLR          0xBF886074
#define  ODCBSET          0xBF886078
#define  ODCBINV          0xBF88607C
#define  TRISC            0xBF886080
#define  TRISCCLR         0xBF886084
#define  TRISCSET         0xBF886088
#define  TRISCINV         0xBF88608C
#define  PORTC            0xBF886090
#define  PORTCCLR         0xBF886094
#define  PORTCSET         0xBF886098
#define  PORTCINV         0xBF88609C
#define  LATC             0xBF8860A0
#define  LATCCLR          0xBF8860A4
#define  LATCSET          0xBF8860A8
#define  LATCINV          0xBF8860AC
#define  ODCC             0xBF8860B0
#define  ODCCCLR          0xBF8860B4
#define  ODCCSET          0xBF8860B8
#define  ODCCINV          0xBF8860BC
#define  TRISD            0xBF8860C0
#define  TRISDCLR         0xBF8860C4
#define  TRISDSET         0xBF8860C8
#define  TRISDINV         0xBF8860CC
#define  PORTD            0xBF8860D0
#define  PORTDCLR         0xBF8860D4
#define  PORTDSET         0xBF8860D8
#define  PORTDINV         0xBF8860DC
#define  LATD             0xBF8860E0
#define  LATDCLR          0xBF8860E4
#define  LATDSET          0xBF8860E8
#define  LATDINV          0xBF8860EC
#define  ODCD             0xBF8860F0
#define  ODCDCLR          0xBF8860F4
#define  ODCDSET          0xBF8860F8
#define  ODCDINV          0xBF8860FC
#define  TRISE            0xBF886100
#define  TRISECLR         0xBF886104
#define  TRISESET         0xBF886108
#define  TRISEINV         0xBF88610C
#define  PORTE            0xBF886110
#define  PORTECLR         0xBF886114
#define  PORTESET         0xBF886118
#define  PORTEINV         0xBF88611C
#define  LATE             0xBF886120
#define  LATECLR          0xBF886124
#define  LATESET          0xBF886128
#define  LATEINV          0xBF88612C
#define  ODCE             0xBF886130
#define  ODCECLR          0xBF886134
#define  ODCESET          0xBF886138
#define  ODCEINV          0xBF88613C
#define  TRISF            0xBF886140
#define  TRISFCLR         0xBF886144
#define  TRISFSET         0xBF886148
#define  TRISFINV         0xBF88614C
#define  PORTF            0xBF886150
#define  PORTFCLR         0xBF886154
#define  PORTFSET         0xBF886158
#define  PORTFINV         0xBF88615C
#define  LATF             0xBF886160
#define  LATFCLR          0xBF886164
#define  LATFSET          0xBF886168
#define  LATFINV          0xBF88616C
#define  ODCF             0xBF886170
#define  ODCFCLR          0xBF886174
#define  ODCFSET          0xBF886178
#define  ODCFINV          0xBF88617C
#define  TRISG            0xBF886180
#define  TRISGCLR         0xBF886184
#define  TRISGSET         0xBF886188
#define  TRISGINV         0xBF88618C
#define  PORTG            0xBF886190
#define  PORTGCLR         0xBF886194
#define  PORTGSET         0xBF886198
#define  PORTGINV         0xBF88619C
#define  LATG             0xBF8861A0
#define  LATGCLR          0xBF8861A4
#define  LATGSET          0xBF8861A8
#define  LATGINV          0xBF8861AC
#define  ODCG             0xBF8861B0
#define  ODCGCLR          0xBF8861B4
#define  ODCGSET          0xBF8861B8
#define  ODCGINV          0xBF8861BC
#define  CNCON            0xBF8861C0
#define  CNCONCLR         0xBF8861C4
#define  CNCONSET         0xBF8861C8
#define  CNCONINV         0xBF8861CC
#define  CNEN             0xBF8861D0
#define  CNENCLR          0xBF8861D4
#define  CNENSET          0xBF8861D8
#define  CNENINV          0xBF8861DC
#define  CNPUE            0xBF8861E0
#define  CNPUECLR         0xBF8861E4
#define  CNPUESET         0xBF8861E8
#define  CNPUEINV         0xBF8861EC
#define  DEVCFG3          0xBFC02FF0
#define  DEVCFG2          0xBFC02FF4
#define  DEVCFG1          0xBFC02FF8
#define  DEVCFG0          0xBFC02FFC

#endif
