#ifndef _JZ_P32MX_RTC_H_
#define _JZ_P32MX_RTC_H_
#include <stdint.h>
  #define RTCCON           (*(volatile unsigned *)0xBF800200)
  #define RTCCON_CLR       (*(volatile unsigned *)0xBF800204)
  #define RTCCON_SET       (*(volatile unsigned *)0xBF800208)
  #define RTCCON_INV       (*(volatile unsigned *)0xBF80020C)
  #define RTCALRM          (*(volatile unsigned *)0xBF800210)
  #define RTCALRM_CLR      (*(volatile unsigned *)0xBF800214)
  #define RTCALRM_SET      (*(volatile unsigned *)0xBF800218)
  #define RTCALRM_INV      (*(volatile unsigned *)0xBF80021C)
  #define RTCTIME          (*(volatile unsigned *)0xBF800220)
  #define RTCTIME_CLR      (*(volatile unsigned *)0xBF800224)
  #define RTCTIME_SET      (*(volatile unsigned *)0xBF800228)
  #define RTCTIME_INV      (*(volatile unsigned *)0xBF80022C)
  #define RTCDATE          (*(volatile unsigned *)0xBF800230)
  #define RTCDATE_CLR      (*(volatile unsigned *)0xBF800234)
  #define RTCDATE_SET      (*(volatile unsigned *)0xBF800238)
  #define RTCDATE_INV      (*(volatile unsigned *)0xBF80023C)
  #define ALRMTIME         (*(volatile unsigned *)0xBF800240)
  #define ALRMTIME_CLR     (*(volatile unsigned *)0xBF800244)
  #define ALRMTIME_SET     (*(volatile unsigned *)0xBF800248)
  #define ALRMTIME_INV     (*(volatile unsigned *)0xBF80024C)
  #define ALRMDATE         (*(volatile unsigned *)0xBF800250)
  #define ALRMDATE_CLR     (*(volatile unsigned *)0xBF800254)
  #define ALRMDATE_SET     (*(volatile unsigned *)0xBF800258)
  #define ALRMDATE_INV     (*(volatile unsigned *)0xBF80025C)

    #define RTCCON_RTCOE                   0x00
    #define RTCCON_HALFSEC                 0x01
    #define RTCCON_RTCSYNC                 0x02
    #define RTCCON_RTCWREN                 0x03
    #define RTCCON_RTCCLKON                0x06
    #define RTCCON_RTSECSEL                0x07
    #define RTCCON_SIDL                    0x0D
    #define RTCCON_ON                      0x0F
    #define RTCCON_CAL                     0x10
    #define RTCALRM_ARPT                   0x00
    #define RTCALRM_AMASK                  0x08
    #define RTCALRM_ALRMSYNC               0x0C
    #define RTCALRM_PIV                    0x0D
    #define RTCALRM_CHIME                  0x0E
    #define RTCALRM_ALRMEN                 0x0F
    #define RTCTIME_SEC01                  0x08
    #define RTCTIME_SEC10                  0x0C
    #define RTCTIME_MIN01                  0x10
    #define RTCTIME_MIN10                  0x14
    #define RTCTIME_HR01                   0x18
    #define RTCTIME_HR10                   0x1C
    #define RTCDATE_WDAY01                 0x00
    #define RTCDATE_DAY01                  0x08
    #define RTCDATE_DAY10                  0x0C
    #define RTCDATE_MONTH01                0x10
    #define RTCDATE_MONTH10                0x14
    #define RTCDATE_YEAR01                 0x18
    #define RTCDATE_YEAR10                 0x1C
    #define ALRMTIME_SEC01                 0x08
    #define ALRMTIME_SEC10                 0x0C
    #define ALRMTIME_MIN01                 0x10
    #define ALRMTIME_MIN10                 0x14
    #define ALRMTIME_HR01                  0x18
    #define ALRMTIME_HR10                  0x1C
    #define ALRMDATE_WDAY01                0x00
    #define ALRMDATE_DAY01                 0x08
    #define ALRMDATE_DAY10                 0x0C
    #define ALRMDATE_MONTH01               0x10
    #define ALRMDATE_MONTH10               0x14
#endif /* _JZ_P32MX_RTC_H_ */
